fof(ax2,axiom,(
    ! [U,V] :
      ( forename(U,V)
     <= vincent_forename(U,V) ) )).

fof(ax39,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & forename(V,U) )
     => forename(W,U) ) )).

fof(ax34,axiom,(
    ! [U,V] :
      ( unisex(U,V)
     => ~ male(U,V) ) )).

fof(ax5,axiom,(
    ! [U,V] :
      ( man(U,V)
     => male(U,V) ) )).

fof(ax41,axiom,(
    ! [U,V,W] :
      ( animate(W,U)
     <= ( animate(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax60,axiom,(
    ! [U,V,W] :
      ( present(W,U)
     <= ( accessible_world(V,W)
        & present(V,U) ) ) )).

fof(ax56,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & proposition(V,U) )
     => proposition(W,U) ) )).

fof(ax7,axiom,(
    ! [U,V] :
      ( human(U,V)
     <= human_person(U,V) ) )).

fof(ax68,axiom,(
    ! [U,V,W] :
      ( ( smoke(V,U)
        & accessible_world(V,W) )
     => smoke(W,U) ) )).

fof(ax16,axiom,(
    ! [U,V] :
      ( event(U,V)
     <= state(U,V) ) )).

fof(ax38,axiom,(
    ! [U,V,W] :
      ( relname(W,U)
     <= ( accessible_world(V,W)
        & relname(V,U) ) ) )).

fof(ax58,axiom,(
    ! [U,V,W] :
      ( ( think_believe_consider(V,U)
        & accessible_world(V,W) )
     => think_believe_consider(W,U) ) )).

fof(ax71,axiom,(
    ! [U,V,W,X,Y,Z] :
      ( ( theme(U,V,Y)
        & agent(U,V,X)
        & theme(U,W,Z)
        & agent(U,W,X)
        & proposition(U,Z)
        & think_believe_consider(U,W)
        & proposition(U,Y)
        & think_believe_consider(U,V) )
     => Z = Y ) )).

fof(ax28,axiom,(
    ! [U,V] :
      ( eventuality(U,V)
     => thing(U,V) ) )).

fof(ax40,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & male(V,U) )
     => male(W,U) ) )).

fof(ax17,axiom,(
    ! [U,V] :
      ( state(U,V)
     => eventuality(U,V) ) )).

fof(ax32,axiom,(
    ! [U,V] :
      ( nonhuman(U,V)
     => ~ human(U,V) ) )).

fof(ax49,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & man(V,U) )
     => man(W,U) ) )).

fof(ax66,axiom,(
    ! [U,V,W] :
      ( eventuality(W,U)
     <= ( accessible_world(V,W)
        & eventuality(V,U) ) ) )).

fof(ax14,axiom,(
    ! [U,V] :
      ( organism(U,V)
     <= human_person(U,V) ) )).

fof(ax12,axiom,(
    ! [U,V] :
      ( entity(U,V)
     => thing(U,V) ) )).

fof(ax55,axiom,(
    ! [U,V,W] :
      ( ( relation(V,U)
        & accessible_world(V,W) )
     => relation(W,U) ) )).

fof(ax51,axiom,(
    ! [U,V,W,X,Y] :
      ( ( accessible_world(X,Y)
        & be(X,U,V,W) )
     => be(Y,U,V,W) ) )).

fof(ax70,axiom,(
    ! [U,V,W,X] :
      ( be(U,V,W,X)
     => X = W ) )).

fof(ax23,axiom,(
    ! [U,V] :
      ( relation(U,V)
     <= proposition(U,V) ) )).

fof(ax20,axiom,(
    ! [U,V] :
      ( nonhuman(U,V)
     <= abstraction(U,V) ) )).

fof(ax48,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & human_person(V,U) )
     => human_person(W,U) ) )).

fof(ax36,axiom,(
    ! [U,V,W,X] :
      ( ( accessible_world(W,X)
        & of(W,U,V) )
     => of(X,U,V) ) )).

fof(ax10,axiom,(
    ! [U,V] :
      ( existent(U,V)
     <= entity(U,V) ) )).

fof(ax1,axiom,(
    ! [U,V] :
      ( forename(U,V)
     <= jules_forename(U,V) ) )).

fof(ax26,axiom,(
    ! [U,V] :
      ( eventuality(U,V)
     => specific(U,V) ) )).

fof(ax15,axiom,(
    ! [U,V] :
      ( man(U,V)
     => human_person(U,V) ) )).

fof(ax37,axiom,(
    ! [U,V,W] :
      ( vincent_forename(W,U)
     <= ( vincent_forename(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax21,axiom,(
    ! [U,V] :
      ( thing(U,V)
     <= abstraction(U,V) ) )).

fof(ax54,axiom,(
    ! [U,V,W] :
      ( ( abstraction(V,U)
        & accessible_world(V,W) )
     => abstraction(W,U) ) )).

fof(ax65,axiom,(
    ! [U,V,W] :
      ( thing(W,U)
     <= ( thing(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax47,axiom,(
    ! [U,V,W] :
      ( organism(W,U)
     <= ( accessible_world(V,W)
        & organism(V,U) ) ) )).

fof(ax67,axiom,(
    ! [U,V,W] :
      ( ( event(V,U)
        & accessible_world(V,W) )
     => event(W,U) ) )).

fof(ax52,axiom,(
    ! [U,V,W] :
      ( general(W,U)
     <= ( general(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax44,axiom,(
    ! [U,V,W] :
      ( impartial(W,U)
     <= ( accessible_world(V,W)
        & impartial(V,U) ) ) )).

fof(ax3,axiom,(
    ! [U,V] :
      ( relname(U,V)
     => relation(U,V) ) )).

fof(ax24,axiom,(
    ! [U,V] :
      ( eventuality(U,V)
     => unisex(U,V) ) )).

fof(ax42,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & human(V,U) )
     => human(W,U) ) )).

fof(ax13,axiom,(
    ! [U,V] :
      ( entity(U,V)
     <= organism(U,V) ) )).

fof(ax29,axiom,(
    ! [U,V] :
      ( event(U,V)
     => eventuality(U,V) ) )).

fof(ax35,axiom,(
    ! [U,V,W] :
      ( ( jules_forename(V,U)
        & accessible_world(V,W) )
     => jules_forename(W,U) ) )).

fof(ax30,axiom,(
    ! [U,V] :
      ( smoke(U,V)
     => event(U,V) ) )).

fof(ax8,axiom,(
    ! [U,V] :
      ( living(U,V)
     <= organism(U,V) ) )).

fof(ax18,axiom,(
    ! [U,V] :
      ( abstraction(U,V)
     => unisex(U,V) ) )).

fof(ax57,axiom,(
    ! [U,V,W,X] :
      ( theme(X,U,V)
     <= ( theme(W,U,V)
        & accessible_world(W,X) ) ) )).

fof(ax59,axiom,(
    ! [U,V,W,X] :
      ( agent(X,U,V)
     <= ( accessible_world(W,X)
        & agent(W,U,V) ) ) )).

fof(ax43,axiom,(
    ! [U,V,W] :
      ( living(W,U)
     <= ( living(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax9,axiom,(
    ! [U,V] :
      ( impartial(U,V)
     <= organism(U,V) ) )).

fof(ax27,axiom,(
    ! [U,V] :
      ( thing(U,V)
     => singleton(U,V) ) )).

fof(ax62,axiom,(
    ! [U,V,W] :
      ( nonexistent(W,U)
     <= ( accessible_world(V,W)
        & nonexistent(V,U) ) ) )).

fof(ax6,axiom,(
    ! [U,V] :
      ( animate(U,V)
     <= human_person(U,V) ) )).

fof(co1,conjecture,(
    ~ ( ~ ? [X5] :
            ( actual_world(X5)
            & ? [X6,X7,X8,X9,V,W,X,Y,Z,X1,X2,X10,X11] :
                ( man(X5,X6)
                & vincent_forename(X5,X7)
                & forename(X5,X7)
                & man(X5,X8)
                & jules_forename(X5,X9)
                & forename(X5,X9)
                & vincent_forename(X5,W)
                & forename(X5,W)
                & agent(X5,X,V)
                & theme(X5,X,Y)
                & event(X5,X)
                & ! [X3] :
                    ( ? [X4] :
                        ( event(Y,X4)
                        & present(Y,X4)
                        & smoke(Y,X4)
                        & agent(Y,X4,X3) )
                   <= man(Y,X3) )
                & of(X5,Z,X1)
                & man(X5,X1)
                & state(X5,X2)
                & agent(X5,X10,X6)
                & theme(X5,X10,X11)
                & event(X5,X10)
                & accessible_world(X5,X11)
                & ? [X12] :
                    ( event(X11,X12)
                    & smoke(X11,X12)
                    & present(X11,X12)
                    & agent(X11,X12,X8) )
                & think_believe_consider(X5,X10)
                & present(X5,X10)
                & proposition(X5,X11)
                & be(X5,X2,X1,X1)
                & man(X5,X1)
                & forename(X5,Z)
                & jules_forename(X5,Z)
                & accessible_world(X5,Y)
                & think_believe_consider(X5,X)
                & present(X5,X)
                & proposition(X5,Y)
                & man(X5,V)
                & of(X5,W,V)
                & of(X5,X9,X8)
                & of(X5,X7,X6) ) )
      & ? [U] :
          ( ? [V,W,X,Y,Z,X1,X2] :
              ( of(U,W,V)
              & man(U,V)
              & present(U,X)
              & think_believe_consider(U,X)
              & accessible_world(U,Y)
              & of(U,Z,X1)
              & man(U,X1)
              & forename(U,Z)
              & be(U,X2,X1,X1)
              & state(U,X2)
              & man(U,X1)
              & jules_forename(U,Z)
              & ! [X3] :
                  ( ? [X4] :
                      ( event(Y,X4)
                      & present(Y,X4)
                      & smoke(Y,X4)
                      & agent(Y,X4,X3) )
                 <= man(Y,X3) )
              & event(U,X)
              & theme(U,X,Y)
              & agent(U,X,V)
              & proposition(U,Y)
              & forename(U,W)
              & vincent_forename(U,W) )
          & actual_world(U) ) ) )).

fof(ax69,axiom,(
    ! [U,V,W] :
      ( ~ ? [X] :
            ( of(U,X,V)
            & X != W
            & forename(U,X) )
     <= ( of(U,W,V)
        & forename(U,W)
        & entity(U,V) ) ) )).

fof(ax53,axiom,(
    ! [U,V,W] :
      ( nonhuman(W,U)
     <= ( nonhuman(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax45,axiom,(
    ! [U,V,W] :
      ( existent(W,U)
     <= ( existent(V,U)
        & accessible_world(V,W) ) ) )).

fof(ax46,axiom,(
    ! [U,V,W] :
      ( entity(W,U)
     <= ( accessible_world(V,W)
        & entity(V,U) ) ) )).

fof(ax25,axiom,(
    ! [U,V] :
      ( eventuality(U,V)
     => nonexistent(U,V) ) )).

fof(ax64,axiom,(
    ! [U,V,W] :
      ( singleton(W,U)
     <= ( accessible_world(V,W)
        & singleton(V,U) ) ) )).

fof(ax31,axiom,(
    ! [U,V] :
      ( existent(U,V)
     => ~ nonexistent(U,V) ) )).

fof(ax4,axiom,(
    ! [U,V] :
      ( relname(U,V)
     <= forename(U,V) ) )).

fof(ax50,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & state(V,U) )
     => state(W,U) ) )).

fof(ax61,axiom,(
    ! [U,V,W] :
      ( unisex(W,U)
     <= ( accessible_world(V,W)
        & unisex(V,U) ) ) )).

fof(ax19,axiom,(
    ! [U,V] :
      ( general(U,V)
     <= abstraction(U,V) ) )).

fof(ax33,axiom,(
    ! [U,V] :
      ( specific(U,V)
     => ~ general(U,V) ) )).

fof(ax22,axiom,(
    ! [U,V] :
      ( relation(U,V)
     => abstraction(U,V) ) )).

fof(ax63,axiom,(
    ! [U,V,W] :
      ( ( accessible_world(V,W)
        & specific(V,U) )
     => specific(W,U) ) )).

fof(ax11,axiom,(
    ! [U,V] :
      ( entity(U,V)
     => specific(U,V) ) )).

