fof(lesseq_antisymmetric,axiom,(
    ! [X,Y] :
      ( ( lesseq(X,Y)
        & lesseq(Y,X) )
     => Y = X ) )).

fof(lesseq_trans,axiom,(
    ! [X,Y,Z] :
      ( ( lesseq(Y,Z)
        & lesseq(X,Y) )
     => lesseq(X,Z) ) )).

fof(lesseq_ref,axiom,(
    ! [X] : lesseq(X,X) )).

fof(max_1,axiom,(
    ! [X,Y] :
      ( max(X,Y) = X
      | ~ lesseq(Y,X) ) )).

fof(ub,axiom,(
    ! [X,Y,Z] :
      ( ( lesseq(Y,Z)
        & lesseq(X,Z) )
    <=> ub(X,Y,Z) ) )).

fof(minsol_model_max,axiom,(
    ! [X,Y,N] :
      ( ( ! [Z] :
            ( lesseq(N,Z)
           <= model_max(X,Y,Z) )
        & model_max(X,Y,N) )
    <=> minsol_model_max(X,Y,N) ) )).

fof(max_is_ub_1,conjecture,(
    ! [X,Y,Z] :
      ( minsol_model_max(X,Y,Z)
    <=> minsol_model_ub(X,Y,Z) ) )).

fof(max_2,axiom,(
    ! [X,Y] :
      ( max(X,Y) = Y
      | ~ lesseq(X,Y) ) )).

fof(lesseq_total,axiom,(
    ! [X,Y] :
      ( lesseq(X,Y)
      | lesseq(Y,X) ) )).

fof(model_max_1,axiom,(
    ! [X,Y,N] :
      ( model_max(X,Y,N)
    <=> N = max(X,Y) ) )).

fof(summation_monotone,axiom,(
    ! [X,Y] :
      ( lesseq(X,Y)
    <=> lesseq(summation(X),summation(Y)) ) )).

fof(model_ub_1,axiom,(
    ! [X,Y,N] :
      ( model_ub(X,Y,N)
    <=> ub(X,Y,N) ) )).

fof(sum_monotone_1,axiom,(
    ! [X,Y,Z] :
      ( lesseq(X,Y)
    <=> lesseq(sum(Z,X),sum(Z,Y)) ) )).

fof(minsol_model_ub,axiom,(
    ! [X,Y,N] :
      ( minsol_model_ub(X,Y,N)
    <=> ( model_ub(X,Y,N)
        & ! [Z] :
            ( model_ub(X,Y,Z)
           => lesseq(N,Z) ) ) ) )).

