fof(lesseq_total,axiom,(
    ! [X,Y] :
      ( lesseq(X,Y)
      | lesseq(Y,X) ) )).

fof(ub,axiom,(
    ! [X,Y,Z] :
      ( ub(X,Y,Z)
    <=> ( lesseq(X,Z)
        & lesseq(Y,Z) ) ) )).

fof(lesseq_antisymmetric,axiom,(
    ! [X,Y] :
      ( ( lesseq(X,Y)
        & lesseq(Y,X) )
     => Y = X ) )).

fof(lesseq_trans,axiom,(
    ! [X,Y,Z] :
      ( lesseq(X,Z)
     <= ( lesseq(Y,Z)
        & lesseq(X,Y) ) ) )).

fof(model_ub_2,axiom,(
    ! [X,Y,N] :
      ( model_ub(X,Y,N)
    <=> ? [Z] :
          ( lesseq(Z,N)
          & ub(X,Y,Z) ) ) )).

fof(max_2,axiom,(
    ! [X,Y] :
      ( ~ lesseq(X,Y)
      | Y = max(X,Y) ) )).

fof(max_is_ub_1,conjecture,(
    ! [X,Y,Z] :
      ( minsol_model_max(X,Y,Z)
    <=> minsol_model_ub(X,Y,Z) ) )).

fof(summation_monotone,axiom,(
    ! [X,Y] :
      ( lesseq(X,Y)
    <=> lesseq(summation(X),summation(Y)) ) )).

fof(max_1,axiom,(
    ! [X,Y] :
      ( X = max(X,Y)
      | ~ lesseq(Y,X) ) )).

fof(minsol_model_ub,axiom,(
    ! [X,Y,N] :
      ( ( model_ub(X,Y,N)
        & ! [Z] :
            ( model_ub(X,Y,Z)
           => lesseq(N,Z) ) )
    <=> minsol_model_ub(X,Y,N) ) )).

fof(lesseq_ref,axiom,(
    ! [X] : lesseq(X,X) )).

fof(sum_monotone_1,axiom,(
    ! [X,Y,Z] :
      ( lesseq(X,Y)
    <=> lesseq(sum(Z,X),sum(Z,Y)) ) )).

fof(model_max_2,axiom,(
    ! [X,Y,N] :
      ( lesseq(max(X,Y),N)
    <=> model_max(X,Y,N) ) )).

fof(minsol_model_max,axiom,(
    ! [X,Y,N] :
      ( ( model_max(X,Y,N)
        & ! [Z] :
            ( model_max(X,Y,Z)
           => lesseq(N,Z) ) )
    <=> minsol_model_max(X,Y,N) ) )).

