fof(commutativity_of_union,axiom,(
    ! [B,C] : union(B,C) = union(C,B) )).

fof(intersection_defn,axiom,(
    ! [B,C,D] :
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) ) )).

fof(equal_member_defn,axiom,(
    ! [B,C] :
      ( ! [D] :
          ( member(D,B)
        <=> member(D,C) )
    <=> B = C ) )).

fof(difference_defn,axiom,(
    ! [B,C,D] :
      ( member(D,difference(B,C))
    <=> ( ~ member(D,C)
        & member(D,B) ) ) )).

fof(equal_defn,axiom,(
    ! [B,C] :
      ( ( subset(B,C)
        & subset(C,B) )
    <=> C = B ) )).

fof(union_defn,axiom,(
    ! [B,C,D] :
      ( ( member(D,B)
        | member(D,C) )
    <=> member(D,union(B,C)) ) )).

fof(subset_defn,axiom,(
    ! [B,C] :
      ( subset(B,C)
    <=> ! [D] :
          ( member(D,B)
         => member(D,C) ) ) )).

fof(prove_union_intersection_difference,conjecture,(
    ! [B,C] : union(intersection(B,C),difference(B,C)) = B )).

fof(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B) )).

fof(commutativity_of_intersection,axiom,(
    ! [B,C] : intersection(C,B) = intersection(B,C) )).

