fof(t99_zfmisc_1,lemma,(
    ! [A] : A = union(powerset(A)) )).

fof(t8_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,B)
        & subset(C,B) )
     => subset(set_union2(A,C),B) ) )).

fof(d1_zfmisc_1,axiom,(
    ! [A,B] :
      ( B = powerset(A)
    <=> ! [C] :
          ( in(C,B)
        <=> subset(C,A) ) ) )).

fof(t48_xboole_1,lemma,(
    ! [A,B] : set_difference(A,set_difference(A,B)) = set_intersection2(A,B) )).

fof(t46_zfmisc_1,lemma,(
    ! [A,B] :
      ( set_union2(singleton(A),B) = B
     <= in(A,B) ) )).

fof(t17_xboole_1,lemma,(
    ! [A,B] : subset(set_intersection2(A,B),A) )).

fof(t12_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
     => set_union2(A,B) = B ) )).

fof(l3_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( subset(A,B)
     => ( subset(A,set_difference(B,singleton(C)))
        | in(C,A) ) ) )).

fof(t3_boole,axiom,(
    ! [A] : set_difference(A,empty_set) = A )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & in(A,B) ) )).

fof(d2_zfmisc_1,axiom,(
    ! [A,B,C] :
      ( C = cartesian_product2(A,B)
    <=> ! [D] :
          ( ? [E,F] :
              ( in(F,B)
              & D = ordered_pair(E,F)
              & in(E,A) )
        <=> in(D,C) ) ) )).

fof(t6_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(singleton(A),singleton(B))
     => A = B ) )).

fof(dt_k2_tarski,axiom,(
    $true )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(dt_k4_tarski,axiom,(
    $true )).

fof(t7_xboole_1,lemma,(
    ! [A,B] : subset(A,set_union2(A,B)) )).

fof(t10_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ~ ( unordered_pair(A,B) = unordered_pair(C,D)
        & D != A
        & C != A ) )).

fof(dt_k1_xboole_0,axiom,(
    $true )).

fof(t1_boole,axiom,(
    ! [A] : set_union2(A,empty_set) = A )).

fof(d4_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( ? [D] :
              ( in(D,A)
              & in(C,D) )
        <=> in(C,B) )
    <=> union(A) = B ) )).

fof(d5_tarski,axiom,(
    ! [A,B] : unordered_pair(unordered_pair(A,B),singleton(A)) = ordered_pair(A,B) )).

fof(d8_xboole_0,axiom,(
    ! [A,B] :
      ( ( B != A
        & subset(A,B) )
    <=> proper_subset(A,B) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( ~ in(B,A)
     <= in(A,B) ) )).

fof(l28_zfmisc_1,lemma,(
    ! [A,B] :
      ( disjoint(singleton(A),B)
     <= ~ in(A,B) ) )).

fof(commutativity_k2_tarski,axiom,(
    ! [A,B] : unordered_pair(A,B) = unordered_pair(B,A) )).

fof(t83_xboole_1,lemma,(
    ! [A,B] :
      ( set_difference(A,B) = A
    <=> disjoint(A,B) ) )).

fof(l23_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
     => B = set_union2(singleton(A),B) ) )).

fof(fc3_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(set_union2(B,A))
     <= ~ empty(A) ) )).

fof(idempotence_k2_xboole_0,axiom,(
    ! [A,B] : A = set_union2(A,A) )).

fof(t9_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( B = C
     <= singleton(A) = unordered_pair(B,C) ) )).

fof(t33_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( ( D = B
        & C = A )
     <= ordered_pair(C,D) = ordered_pair(A,B) ) )).

fof(t3_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ~ disjoint(A,B)
          & ! [C] :
              ~ ( in(C,A)
                & in(C,B) ) )
      & ~ ( disjoint(A,B)
          & ? [C] :
              ( in(C,A)
              & in(C,B) ) ) ) )).

fof(l2_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(singleton(A),B)
    <=> in(A,B) ) )).

fof(t106_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( in(ordered_pair(A,B),cartesian_product2(C,D))
    <=> ( in(A,C)
        & in(B,D) ) ) )).

fof(t92_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(A,union(B))
     <= in(A,B) ) )).

fof(t37_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
    <=> empty_set = set_difference(A,B) ) )).

fof(t2_xboole_1,lemma,(
    ! [A] : subset(empty_set,A) )).

fof(dt_k2_xboole_0,axiom,(
    $true )).

fof(d7_xboole_0,axiom,(
    ! [A,B] :
      ( disjoint(A,B)
    <=> set_intersection2(A,B) = empty_set ) )).

fof(t4_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ? [C] : in(C,set_intersection2(A,B))
          & disjoint(A,B) )
      & ~ ( ! [C] : ~ in(C,set_intersection2(A,B))
          & ~ disjoint(A,B) ) ) )).

fof(l4_zfmisc_1,lemma,(
    ! [A,B] :
      ( ( A = singleton(B)
        | empty_set = A )
    <=> subset(A,singleton(B)) ) )).

fof(l55_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( in(ordered_pair(A,B),cartesian_product2(C,D))
    <=> ( in(A,C)
        & in(B,D) ) ) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(d10_xboole_0,axiom,(
    ! [A,B] :
      ( A = B
    <=> ( subset(B,A)
        & subset(A,B) ) ) )).

fof(t19_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,C)
        & subset(A,B) )
     => subset(A,set_intersection2(B,C)) ) )).

fof(t1_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,B)
        & subset(B,C) )
     => subset(A,C) ) )).

fof(t3_xboole_1,lemma,(
    ! [A] :
      ( A = empty_set
     <= subset(A,empty_set) ) )).

fof(t40_xboole_1,lemma,(
    ! [A,B] : set_difference(set_union2(A,B),B) = set_difference(A,B) )).

fof(l1_zfmisc_1,lemma,(
    ! [A] : singleton(A) != empty_set )).

fof(d4_xboole_0,axiom,(
    ! [A,B,C] :
      ( C = set_difference(A,B)
    <=> ! [D] :
          ( ( ~ in(D,B)
            & in(D,A) )
        <=> in(D,C) ) ) )).

fof(dt_k1_zfmisc_1,axiom,(
    $true )).

fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(B,A) = set_intersection2(A,B) )).

fof(t26_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_intersection2(A,C),set_intersection2(B,C))
     <= subset(A,B) ) )).

fof(t118_zfmisc_1,conjecture,(
    ! [A,B,C] :
      ( subset(A,B)
     => ( subset(cartesian_product2(A,C),cartesian_product2(B,C))
        & subset(cartesian_product2(C,A),cartesian_product2(C,B)) ) ) )).

fof(t1_zfmisc_1,lemma,(
    powerset(empty_set) = singleton(empty_set) )).

fof(t8_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( A = B
     <= singleton(A) = unordered_pair(B,C) ) )).

fof(d2_tarski,axiom,(
    ! [A,B,C] :
      ( C = unordered_pair(A,B)
    <=> ! [D] :
          ( ( D = A
            | B = D )
        <=> in(D,C) ) ) )).

fof(t69_enumset1,lemma,(
    ! [A] : singleton(A) = unordered_pair(A,A) )).

fof(t39_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(A,singleton(B))
    <=> ( empty_set = A
        | A = singleton(B) ) ) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(d1_xboole_0,axiom,(
    ! [A] :
      ( empty_set = A
    <=> ! [B] : ~ in(B,A) ) )).

fof(fc1_zfmisc_1,axiom,(
    ! [A,B] : ~ empty(ordered_pair(A,B)) )).

fof(dt_k1_tarski,axiom,(
    $true )).

fof(commutativity_k2_xboole_0,axiom,(
    ! [A,B] : set_union2(A,B) = set_union2(B,A) )).

fof(t33_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_difference(A,C),set_difference(B,C))
     <= subset(A,B) ) )).

fof(d3_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,A)
         => in(C,B) )
    <=> subset(A,B) ) )).

fof(fc2_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(A)
     => ~ empty(set_union2(A,B)) ) )).

fof(t36_xboole_1,lemma,(
    ! [A,B] : subset(set_difference(A,B),A) )).

fof(t65_zfmisc_1,lemma,(
    ! [A,B] :
      ( ~ in(B,A)
    <=> A = set_difference(A,singleton(B)) ) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : A = set_intersection2(A,A) )).

fof(l32_xboole_1,lemma,(
    ! [A,B] :
      ( set_difference(A,B) = empty_set
    <=> subset(A,B) ) )).

fof(dt_k3_xboole_0,axiom,(
    $true )).

fof(d3_xboole_0,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( in(D,C)
        <=> ( in(D,B)
            & in(D,A) ) )
    <=> set_intersection2(A,B) = C ) )).

fof(dt_k2_zfmisc_1,axiom,(
    $true )).

fof(t39_xboole_1,lemma,(
    ! [A,B] : set_union2(A,B) = set_union2(A,set_difference(B,A)) )).

fof(t2_boole,axiom,(
    ! [A] : set_intersection2(A,empty_set) = empty_set )).

fof(dt_k4_xboole_0,axiom,(
    $true )).

fof(t28_xboole_1,lemma,(
    ! [A,B] :
      ( set_intersection2(A,B) = A
     <= subset(A,B) ) )).

fof(d2_xboole_0,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( in(D,C)
        <=> ( in(D,A)
            | in(D,B) ) )
    <=> set_union2(A,B) = C ) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( empty(A)
        & B != A
        & empty(B) ) )).

fof(t38_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( subset(unordered_pair(A,B),C)
    <=> ( in(A,C)
        & in(B,C) ) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(l25_zfmisc_1,lemma,(
    ! [A,B] :
      ~ ( disjoint(singleton(A),B)
        & in(A,B) ) )).

fof(t60_xboole_1,lemma,(
    ! [A,B] :
      ~ ( subset(A,B)
        & proper_subset(B,A) ) )).

fof(l50_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(A,union(B))
     <= in(A,B) ) )).

fof(t45_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
     => set_union2(A,set_difference(B,A)) = B ) )).

fof(t4_boole,axiom,(
    ! [A] : set_difference(empty_set,A) = empty_set )).

fof(t63_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( disjoint(B,C)
        & subset(A,B) )
     => disjoint(A,C) ) )).

fof(t2_tarski,axiom,(
    ! [A,B] :
      ( A = B
     <= ! [C] :
          ( in(C,A)
        <=> in(C,B) ) ) )).

fof(irreflexivity_r2_xboole_0,axiom,(
    ! [A,B] : ~ proper_subset(A,A) )).

fof(symmetry_r1_xboole_0,axiom,(
    ! [A,B] :
      ( disjoint(A,B)
     => disjoint(B,A) ) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( A = empty_set
     <= empty(A) ) )).

fof(t37_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
    <=> subset(singleton(A),B) ) )).

fof(d1_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,B)
        <=> A = C )
    <=> singleton(A) = B ) )).

fof(dt_k3_tarski,axiom,(
    $true )).

fof(antisymmetry_r2_xboole_0,axiom,(
    ! [A,B] :
      ( proper_subset(A,B)
     => ~ proper_subset(B,A) ) )).

