fof(t2_subset,axiom,(
    ! [A,B] :
      ( element(A,B)
     => ( empty(B)
        | in(A,B) ) ) )).

fof(involutiveness_k7_setfam_1,axiom,(
    ! [A,B] :
      ( element(B,powerset(powerset(A)))
     => B = complements_of_subsets(A,complements_of_subsets(A,B)) ) )).

fof(t33_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( ordered_pair(A,B) = ordered_pair(C,D)
     => ( B = D
        & C = A ) ) )).

fof(d8_setfam_1,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( ( ! [D] :
                ( element(D,powerset(A))
               => ( in(subset_complement(A,D),B)
                <=> in(D,C) ) )
          <=> complements_of_subsets(A,B) = C )
         <= element(C,powerset(powerset(A))) )
     <= element(B,powerset(powerset(A))) ) )).

fof(t10_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ~ ( A != C
        & D != A
        & unordered_pair(A,B) = unordered_pair(C,D) ) )).

fof(d1_tarski,axiom,(
    ! [A,B] :
      ( B = singleton(A)
    <=> ! [C] :
          ( C = A
        <=> in(C,B) ) ) )).

fof(dt_k1_zfmisc_1,axiom,(
    $true )).

fof(d10_xboole_0,axiom,(
    ! [A,B] :
      ( A = B
    <=> ( subset(B,A)
        & subset(A,B) ) ) )).

fof(t99_zfmisc_1,lemma,(
    ! [A] : union(powerset(A)) = A )).

fof(t19_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(A,set_intersection2(B,C))
     <= ( subset(A,B)
        & subset(A,C) ) ) )).

fof(dt_k3_subset_1,axiom,(
    ! [A,B] :
      ( element(B,powerset(A))
     => element(subset_complement(A,B),powerset(A)) ) )).

fof(t39_xboole_1,lemma,(
    ! [A,B] : set_union2(A,set_difference(B,A)) = set_union2(A,B) )).

fof(t2_xboole_1,lemma,(
    ! [A] : subset(empty_set,A) )).

fof(fc1_subset_1,axiom,(
    ! [A] : ~ empty(powerset(A)) )).

fof(t7_xboole_1,lemma,(
    ! [A,B] : subset(A,set_union2(A,B)) )).

fof(irreflexivity_r2_xboole_0,axiom,(
    ! [A,B] : ~ proper_subset(A,A) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(d1_xboole_0,axiom,(
    ! [A] :
      ( ! [B] : ~ in(B,A)
    <=> empty_set = A ) )).

fof(existence_m1_subset_1,axiom,(
    ! [A] :
    ? [B] : element(B,A) )).

fof(d4_xboole_0,axiom,(
    ! [A,B,C] :
      ( C = set_difference(A,B)
    <=> ! [D] :
          ( ( in(D,A)
            & ~ in(D,B) )
        <=> in(D,C) ) ) )).

fof(dt_k1_xboole_0,axiom,(
    $true )).

fof(t39_zfmisc_1,lemma,(
    ! [A,B] :
      ( ( singleton(B) = A
        | empty_set = A )
    <=> subset(A,singleton(B)) ) )).

fof(t46_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
     => B = set_union2(singleton(A),B) ) )).

fof(t36_xboole_1,lemma,(
    ! [A,B] : subset(set_difference(A,B),A) )).

fof(d2_xboole_0,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( ( in(D,A)
            | in(D,B) )
        <=> in(D,C) )
    <=> C = set_union2(A,B) ) )).

fof(fc2_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(set_union2(A,B))
     <= ~ empty(A) ) )).

fof(l3_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( subset(A,B)
     => ( subset(A,set_difference(B,singleton(C)))
        | in(C,A) ) ) )).

fof(t1_boole,axiom,(
    ! [A] : set_union2(A,empty_set) = A )).

fof(d5_subset_1,axiom,(
    ! [A,B] :
      ( set_difference(A,B) = subset_complement(A,B)
     <= element(B,powerset(A)) ) )).

fof(t38_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( subset(unordered_pair(A,B),C)
    <=> ( in(A,C)
        & in(B,C) ) ) )).

fof(d2_zfmisc_1,axiom,(
    ! [A,B,C] :
      ( C = cartesian_product2(A,B)
    <=> ! [D] :
          ( ? [E,F] :
              ( in(E,A)
              & in(F,B)
              & D = ordered_pair(E,F) )
        <=> in(D,C) ) ) )).

fof(t17_xboole_1,lemma,(
    ! [A,B] : subset(set_intersection2(A,B),A) )).

fof(l28_zfmisc_1,lemma,(
    ! [A,B] :
      ( disjoint(singleton(A),B)
     <= ~ in(A,B) ) )).

fof(l32_xboole_1,lemma,(
    ! [A,B] :
      ( set_difference(A,B) = empty_set
    <=> subset(A,B) ) )).

fof(t1_subset,axiom,(
    ! [A,B] :
      ( element(A,B)
     <= in(A,B) ) )).

fof(t3_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ! [C] :
              ~ ( in(C,A)
                & in(C,B) )
          & ~ disjoint(A,B) )
      & ~ ( ? [C] :
              ( in(C,A)
              & in(C,B) )
          & disjoint(A,B) ) ) )).

fof(l3_subset_1,lemma,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,A)
         <= in(C,B) )
     <= element(B,powerset(A)) ) )).

fof(l71_subset_1,lemma,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,B)
         <= in(C,A) )
     => element(A,powerset(B)) ) )).

fof(l50_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(A,union(B))
     <= in(A,B) ) )).

fof(t119_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( subset(cartesian_product2(A,C),cartesian_product2(B,D))
     <= ( subset(A,B)
        & subset(C,D) ) ) )).

fof(t92_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
     => subset(A,union(B)) ) )).

fof(d4_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( ? [D] :
              ( in(C,D)
              & in(D,A) )
        <=> in(C,B) )
    <=> union(A) = B ) )).

fof(t3_xboole_1,lemma,(
    ! [A] :
      ( subset(A,empty_set)
     => empty_set = A ) )).

fof(t6_zfmisc_1,lemma,(
    ! [A,B] :
      ( B = A
     <= subset(singleton(A),singleton(B)) ) )).

fof(l23_zfmisc_1,lemma,(
    ! [A,B] :
      ( B = set_union2(singleton(A),B)
     <= in(A,B) ) )).

fof(l2_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
    <=> subset(singleton(A),B) ) )).

fof(fc3_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(set_union2(B,A))
     <= ~ empty(A) ) )).

fof(dt_k3_xboole_0,axiom,(
    $true )).

fof(t3_subset,axiom,(
    ! [A,B] :
      ( element(A,powerset(B))
    <=> subset(A,B) ) )).

fof(d8_xboole_0,axiom,(
    ! [A,B] :
      ( ( subset(A,B)
        & A != B )
    <=> proper_subset(A,B) ) )).

fof(dt_k2_zfmisc_1,axiom,(
    $true )).

fof(dt_k1_tarski,axiom,(
    $true )).

fof(antisymmetry_r2_xboole_0,axiom,(
    ! [A,B] :
      ( proper_subset(A,B)
     => ~ proper_subset(B,A) ) )).

fof(t9_tarski,axiom,(
    ! [A] :
    ? [B] :
      ( ! [C,D] :
          ( in(D,B)
         <= ( in(C,B)
            & subset(D,C) ) )
      & ! [C] :
          ~ ( ! [D] :
                ~ ( in(D,B)
                  & ! [E] :
                      ( in(E,D)
                     <= subset(E,C) ) )
            & in(C,B) )
      & ! [C] :
          ~ ( ~ in(C,B)
            & ~ are_equipotent(C,B)
            & subset(C,B) )
      & in(A,B) ) )).

fof(t63_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,B)
        & disjoint(B,C) )
     => disjoint(A,C) ) )).

fof(t12_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
     => set_union2(A,B) = B ) )).

fof(t4_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ? [C] : in(C,set_intersection2(A,B))
          & disjoint(A,B) )
      & ~ ( ~ disjoint(A,B)
          & ! [C] : ~ in(C,set_intersection2(A,B)) ) ) )).

fof(t3_boole,axiom,(
    ! [A] : A = set_difference(A,empty_set) )).

fof(t37_xboole_1,lemma,(
    ! [A,B] :
      ( set_difference(A,B) = empty_set
    <=> subset(A,B) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( ~ in(B,A)
     <= in(A,B) ) )).

fof(d5_tarski,axiom,(
    ! [A,B] : unordered_pair(unordered_pair(A,B),singleton(A)) = ordered_pair(A,B) )).

fof(t106_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( in(ordered_pair(A,B),cartesian_product2(C,D))
    <=> ( in(B,D)
        & in(A,C) ) ) )).

fof(t83_xboole_1,lemma,(
    ! [A,B] :
      ( disjoint(A,B)
    <=> A = set_difference(A,B) ) )).

fof(t136_zfmisc_1,lemma,(
    ! [A] :
    ? [B] :
      ( in(A,B)
      & ! [C] :
          ~ ( ~ are_equipotent(C,B)
            & ~ in(C,B)
            & subset(C,B) )
      & ! [C] :
          ( in(powerset(C),B)
         <= in(C,B) )
      & ! [C,D] :
          ( in(D,B)
         <= ( subset(D,C)
            & in(C,B) ) ) ) )).

fof(t46_setfam_1,conjecture,(
    ! [A,B] :
      ( element(B,powerset(powerset(A)))
     => ~ ( empty_set = complements_of_subsets(A,B)
          & empty_set != B ) ) )).

fof(t5_subset,axiom,(
    ! [A,B,C] :
      ~ ( empty(C)
        & element(B,powerset(C))
        & in(A,B) ) )).

fof(dt_k7_setfam_1,axiom,(
    ! [A,B] :
      ( element(B,powerset(powerset(A)))
     => element(complements_of_subsets(A,B),powerset(powerset(A))) ) )).

fof(t28_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
     => A = set_intersection2(A,B) ) )).

fof(l25_zfmisc_1,lemma,(
    ! [A,B] :
      ~ ( disjoint(singleton(A),B)
        & in(A,B) ) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( empty(A)
     => A = empty_set ) )).

fof(idempotence_k2_xboole_0,axiom,(
    ! [A,B] : A = set_union2(A,A) )).

fof(t26_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_intersection2(A,C),set_intersection2(B,C))
     <= subset(A,B) ) )).

fof(l1_zfmisc_1,lemma,(
    ! [A] : empty_set != singleton(A) )).

fof(d2_subset_1,axiom,(
    ! [A,B] :
      ( ( ( in(B,A)
        <=> element(B,A) )
       <= ~ empty(A) )
      & ( empty(A)
       => ( element(B,A)
        <=> empty(B) ) ) ) )).

fof(t118_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( ( subset(cartesian_product2(C,A),cartesian_product2(C,B))
        & subset(cartesian_product2(A,C),cartesian_product2(B,C)) )
     <= subset(A,B) ) )).

fof(t33_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_difference(A,C),set_difference(B,C))
     <= subset(A,B) ) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,A) = A )).

fof(commutativity_k2_tarski,axiom,(
    ! [A,B] : unordered_pair(A,B) = unordered_pair(B,A) )).

fof(t1_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,B)
        & subset(B,C) )
     => subset(A,C) ) )).

fof(dt_k3_tarski,axiom,(
    $true )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & B != A
        & empty(A) ) )).

fof(d3_tarski,axiom,(
    ! [A,B] :
      ( subset(A,B)
    <=> ! [C] :
          ( in(C,B)
         <= in(C,A) ) ) )).

fof(t40_xboole_1,lemma,(
    ! [A,B] : set_difference(set_union2(A,B),B) = set_difference(A,B) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(t8_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( singleton(A) = unordered_pair(B,C)
     => A = B ) )).

fof(d3_xboole_0,axiom,(
    ! [A,B,C] :
      ( C = set_intersection2(A,B)
    <=> ! [D] :
          ( ( in(D,A)
            & in(D,B) )
        <=> in(D,C) ) ) )).

fof(d7_xboole_0,axiom,(
    ! [A,B] :
      ( empty_set = set_intersection2(A,B)
    <=> disjoint(A,B) ) )).

fof(commutativity_k2_xboole_0,axiom,(
    ! [A,B] : set_union2(A,B) = set_union2(B,A) )).

fof(t9_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( C = B
     <= singleton(A) = unordered_pair(B,C) ) )).

fof(t69_enumset1,lemma,(
    ! [A] : singleton(A) = unordered_pair(A,A) )).

fof(t48_xboole_1,lemma,(
    ! [A,B] : set_difference(A,set_difference(A,B)) = set_intersection2(A,B) )).

fof(t1_zfmisc_1,lemma,(
    powerset(empty_set) = singleton(empty_set) )).

fof(t45_xboole_1,lemma,(
    ! [A,B] :
      ( set_union2(A,set_difference(B,A)) = B
     <= subset(A,B) ) )).

fof(fc1_zfmisc_1,axiom,(
    ! [A,B] : ~ empty(ordered_pair(A,B)) )).

fof(d1_zfmisc_1,axiom,(
    ! [A,B] :
      ( powerset(A) = B
    <=> ! [C] :
          ( subset(C,A)
        <=> in(C,B) ) ) )).

fof(dt_m1_subset_1,axiom,(
    $true )).

fof(t65_zfmisc_1,lemma,(
    ! [A,B] :
      ( ~ in(B,A)
    <=> A = set_difference(A,singleton(B)) ) )).

fof(t2_boole,axiom,(
    ! [A] : set_intersection2(A,empty_set) = empty_set )).

fof(l4_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(A,singleton(B))
    <=> ( singleton(B) = A
        | empty_set = A ) ) )).

fof(t4_subset,axiom,(
    ! [A,B,C] :
      ( element(A,C)
     <= ( in(A,B)
        & element(B,powerset(C)) ) ) )).

fof(t43_subset_1,lemma,(
    ! [A,B] :
      ( ! [C] :
          ( ( subset(B,subset_complement(A,C))
          <=> disjoint(B,C) )
         <= element(C,powerset(A)) )
     <= element(B,powerset(A)) ) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(l55_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( ( in(B,D)
        & in(A,C) )
    <=> in(ordered_pair(A,B),cartesian_product2(C,D)) ) )).

fof(involutiveness_k3_subset_1,axiom,(
    ! [A,B] :
      ( element(B,powerset(A))
     => subset_complement(A,subset_complement(A,B)) = B ) )).

fof(dt_k4_tarski,axiom,(
    $true )).

fof(dt_k4_xboole_0,axiom,(
    $true )).

fof(t50_subset_1,lemma,(
    ! [A] :
      ( ! [B] :
          ( ! [C] :
              ( element(C,A)
             => ( in(C,subset_complement(A,B))
               <= ~ in(C,B) ) )
         <= element(B,powerset(A)) )
     <= empty_set != A ) )).

fof(t37_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
    <=> subset(singleton(A),B) ) )).

fof(dt_k2_xboole_0,axiom,(
    $true )).

fof(t54_subset_1,lemma,(
    ! [A,B,C] :
      ( element(C,powerset(A))
     => ~ ( in(B,subset_complement(A,C))
          & in(B,C) ) ) )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & in(A,B) ) )).

fof(dt_k2_tarski,axiom,(
    $true )).

fof(rc1_subset_1,axiom,(
    ! [A] :
      ( ? [B] :
          ( element(B,powerset(A))
          & ~ empty(B) )
     <= ~ empty(A) ) )).

fof(t8_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_union2(A,C),B)
     <= ( subset(A,B)
        & subset(C,B) ) ) )).

fof(rc2_subset_1,axiom,(
    ! [A] :
    ? [B] :
      ( element(B,powerset(A))
      & empty(B) ) )).

fof(t60_xboole_1,lemma,(
    ! [A,B] :
      ~ ( subset(A,B)
        & proper_subset(B,A) ) )).

fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,B) = set_intersection2(B,A) )).

fof(symmetry_r1_xboole_0,axiom,(
    ! [A,B] :
      ( disjoint(A,B)
     => disjoint(B,A) ) )).

fof(d2_tarski,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( in(D,C)
        <=> ( B = D
            | A = D ) )
    <=> C = unordered_pair(A,B) ) )).

fof(t4_boole,axiom,(
    ! [A] : set_difference(empty_set,A) = empty_set )).

fof(t2_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,B)
        <=> in(C,A) )
     => A = B ) )).

