fof(t33_zfmisc_1,axiom,(
    ! [A,B,C,D] :
      ( ( B = D
        & A = C )
     <= ordered_pair(C,D) = ordered_pair(A,B) ) )).

fof(fc12_relat_1,axiom,
    ( empty(empty_set)
    & relation(empty_set)
    & relation_empty_yielding(empty_set) )).

fof(fc4_subset_1,axiom,(
    ! [A,B] :
      ( ~ empty(cartesian_product2(A,B))
     <= ( ~ empty(A)
        & ~ empty(B) ) ) )).

fof(rc1_ordinal1,axiom,(
    ? [A] :
      ( epsilon_transitive(A)
      & ordinal(A)
      & epsilon_connected(A) ) )).

fof(cc2_ordinal1,axiom,(
    ! [A] :
      ( ordinal(A)
     <= ( epsilon_connected(A)
        & epsilon_transitive(A) ) ) )).

fof(rc3_ordinal1,axiom,(
    ? [A] :
      ( ordinal(A)
      & epsilon_connected(A)
      & epsilon_transitive(A)
      & ~ empty(A) ) )).

fof(rc3_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & relation_empty_yielding(A) ) )).

fof(dt_k4_tarski,axiom,(
    $true )).

fof(d5_tarski,axiom,(
    ! [A,B] : ordered_pair(A,B) = unordered_pair(unordered_pair(A,B),singleton(A)) )).

fof(cc1_relat_1,axiom,(
    ! [A] :
      ( relation(A)
     <= empty(A) ) )).

fof(t1_subset,axiom,(
    ! [A,B] :
      ( in(A,B)
     => element(A,B) ) )).

fof(rc3_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & one_to_one(A)
      & function(A) ) )).

fof(cc3_ordinal1,axiom,(
    ! [A] :
      ( ( ordinal(A)
        & epsilon_connected(A)
        & epsilon_transitive(A) )
     <= empty(A) ) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( empty(A)
        & empty(B)
        & A != B ) )).

fof(dt_k2_tarski,axiom,(
    $true )).

fof(fc1_zfmisc_1,axiom,(
    ! [A,B] : ~ empty(ordered_pair(A,B)) )).

fof(rc2_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & ~ empty(A) ) )).

fof(cc1_ordinal1,axiom,(
    ! [A] :
      ( ordinal(A)
     => ( epsilon_connected(A)
        & epsilon_transitive(A) ) ) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( empty(A)
     => A = empty_set ) )).

fof(cc2_funct_1,axiom,(
    ! [A] :
      ( ( relation(A)
        & one_to_one(A)
        & function(A) )
     <= ( empty(A)
        & function(A)
        & relation(A) ) ) )).

fof(s1_funct_1__e16_22__wellord2__1,conjecture,(
    ! [A] :
      ( ? [B] :
          ( relation(B)
          & ! [C,D] :
              ( in(ordered_pair(C,D),B)
            <=> ( in(C,A)
                & D = singleton(C)
                & in(C,A) ) )
          & function(B) )
     <= ! [B,C,D] :
          ( ( in(B,A)
            & singleton(B) = D
            & in(B,A)
            & singleton(B) = C )
         => C = D ) ) )).

fof(dt_m1_subset_1,axiom,(
    $true )).

fof(rc1_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & empty(A) ) )).

fof(dt_k1_xboole_0,axiom,(
    $true )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( in(A,B)
        & empty(B) ) )).

fof(s1_tarski__e16_22__wellord2__1,axiom,(
    ! [A] :
      ( ! [B,C,D] :
          ( C = D
         <= ( singleton(B) = C
            & in(B,A)
            & D = singleton(B)
            & in(B,A) ) )
     => ? [B] :
        ! [C] :
          ( ? [D] :
              ( in(D,A)
              & singleton(D) = C
              & in(D,A) )
        <=> in(C,B) ) ) )).

fof(cc1_funct_1,axiom,(
    ! [A] :
      ( empty(A)
     => function(A) ) )).

fof(fc4_relat_1,axiom,
    ( relation(empty_set)
    & empty(empty_set) )).

fof(d1_funct_1,axiom,(
    ! [A] :
      ( function(A)
    <=> ! [B,C,D] :
          ( ( in(ordered_pair(B,D),A)
            & in(ordered_pair(B,C),A) )
         => D = C ) ) )).

fof(existence_m1_subset_1,axiom,(
    ! [A] :
    ? [B] : element(B,A) )).

fof(t2_subset,axiom,(
    ! [A,B] :
      ( ( empty(B)
        | in(A,B) )
     <= element(A,B) ) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(s1_xboole_0__e16_22__wellord2__1,axiom,(
    ! [A,B] :
    ? [C] :
    ! [D] :
      ( ( ? [E,F] :
            ( ordered_pair(E,F) = D
            & singleton(E) = F
            & in(E,A) )
        & in(D,cartesian_product2(A,B)) )
    <=> in(D,C) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( ~ in(B,A)
     <= in(A,B) ) )).

fof(t106_zfmisc_1,axiom,(
    ! [A,B,C,D] :
      ( ( in(A,C)
        & in(B,D) )
    <=> in(ordered_pair(A,B),cartesian_product2(C,D)) ) )).

fof(commutativity_k2_tarski,axiom,(
    ! [A,B] : unordered_pair(A,B) = unordered_pair(B,A) )).

fof(d1_relat_1,axiom,(
    ! [A] :
      ( ! [B] :
          ~ ( in(B,A)
            & ! [C,D] : B != ordered_pair(C,D) )
    <=> relation(A) ) )).

fof(dt_k2_zfmisc_1,axiom,(
    $true )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_ordinal1,axiom,(
    ? [A] :
      ( one_to_one(A)
      & empty(A)
      & epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A)
      & function(A)
      & relation(A) ) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(rc1_funct_1,axiom,(
    ? [A] :
      ( function(A)
      & relation(A) ) )).

fof(rc2_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & function(A)
      & empty(A) ) )).

fof(fc2_subset_1,axiom,(
    ! [A] : ~ empty(singleton(A)) )).

fof(fc3_subset_1,axiom,(
    ! [A,B] : ~ empty(unordered_pair(A,B)) )).

fof(dt_k1_tarski,axiom,(
    $true )).

