fof(equality_in_transitive_reflexive_rewrite,axiom,(
    ! [A,B] :
      ( transitive_reflexive_rewrite(A,B)
     <= equalish(A,B) ) )).

fof(lo_cfl,axiom,(
    ! [A,B,C] :
      ( ( rewrite(A,B)
        & rewrite(A,C) )
     => ? [D] :
          ( transitive_reflexive_rewrite(B,D)
          & transitive_reflexive_rewrite(C,D) ) ) )).

fof(equalish_or_rewrite,axiom,(
    ! [A,B] :
      ( transitive_reflexive_rewrite(A,B)
     => ( ? [C] :
            ( transitive_reflexive_rewrite(C,B)
            & rewrite(A,C) )
        | equalish(A,B) ) ) )).

fof(ih_cfl,axiom,(
    ! [A,B,C] :
      ( ( transitive_reflexive_rewrite(A,B)
        & transitive_reflexive_rewrite(A,C)
        & rewrite(a,A) )
     => ? [D] :
          ( transitive_reflexive_rewrite(C,D)
          & transitive_reflexive_rewrite(B,D) ) ) )).

fof(symmetry,axiom,(
    ! [A,B] :
      ( equalish(A,B)
     => equalish(B,A) ) )).

fof(rewrite_in_transitive_reflexive_rewrite,axiom,(
    ! [A,B] :
      ( rewrite(A,B)
     => transitive_reflexive_rewrite(A,B) ) )).

fof(found,axiom,(
    ! [A] :
      ( ( transitive_reflexive_rewrite(b,A)
        & transitive_reflexive_rewrite(c,A) )
     => goal ) )).

fof(reflexivity,axiom,(
    ! [A] : equalish(A,A) )).

fof(transitivity_of_transitive_reflexive_rewrite,axiom,(
    ! [A,B,C] :
      ( transitive_reflexive_rewrite(A,C)
     <= ( transitive_reflexive_rewrite(A,B)
        & transitive_reflexive_rewrite(B,C) ) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(assumption,axiom,
    ( transitive_reflexive_rewrite(a,b)
    & transitive_reflexive_rewrite(a,c) )).

