fof(goal4,axiom,(
    ! [A] :
      ( goal
     <= ( incident(g,A)
        & incident(h,A)
        & incident(i,A)
        & line_equal(A,A) ) ) )).

fof(assumption1,axiom,
    ( colinear(a,b,c,l)
    & colinear(d,e,f,m) )).

fof(colinearity_elimination3,axiom,(
    ! [A,B,C,D] :
      ( colinear(A,B,C,D)
     => incident(C,D) ) )).

fof(goal3,axiom,
    ( line_equal(s,r)
   => goal )).

fof(symmetry_of_line_equal,axiom,(
    ! [A,B] :
      ( line_equal(A,B)
     => line_equal(B,A) ) )).

fof(transitivity_of_point_equal,axiom,(
    ! [A,B,C] :
      ( ( point_equal(A,B)
        & point_equal(B,C) )
     => point_equal(A,C) ) )).

fof(unique,axiom,(
    ! [A,B,C,D] :
      ( ( line_equal(A,B)
        | point_equal(C,D) )
     <= ( incident(C,A)
        & incident(D,B)
        & incident(D,A)
        & incident(C,B) ) ) )).

fof(symmetry_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,B)
     => point_equal(B,A) ) )).

fof(goal1,axiom,
    ( line_equal(n,o)
   => goal )).

fof(assumption4,axiom,
    ( colinear(c,d,i,r)
    & colinear(a,f,i,s) )).

fof(pcon,axiom,(
    ! [A,B,C] :
      ( incident(A,C)
     <= ( point_equal(A,B)
        & incident(B,C) ) ) )).

fof(reflexivity_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,A)
     <= incident(A,B) ) )).

fof(assumption2,axiom,
    ( colinear(b,f,g,n)
    & colinear(c,e,g,o) )).

fof(assumption3,axiom,
    ( colinear(b,d,h,p)
    & colinear(a,e,h,q) )).

fof(point,axiom,(
    ! [A,B,C] :
      ( ( line_equal(C,C)
        & line_equal(B,B) )
     => ? [A] :
          ( incident(A,B)
          & incident(A,C) ) ) )).

fof(colinearity_elimination1,axiom,(
    ! [A,B,C,D] :
      ( incident(A,D)
     <= colinear(A,B,C,D) ) )).

fof(goal2,axiom,
    ( goal
   <= line_equal(p,q) )).

fof(colinearity_elimination2,axiom,(
    ! [A,B,C,D] :
      ( incident(B,D)
     <= colinear(A,B,C,D) ) )).

fof(pappus1,axiom,(
    ! [A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q] :
      ( ( colinear(A,E,H,O)
        & colinear(A,F,I,Q)
        & colinear(C,D,I,P)
        & colinear(B,D,H,N)
        & colinear(C,E,G,M)
        & colinear(B,F,G,L)
        & colinear(D,E,F,K)
        & colinear(A,B,C,J) )
     => ( ? [R] : colinear(G,H,I,R)
        | incident(A,K)
        | incident(F,J)
        | incident(E,J)
        | incident(D,J)
        | incident(C,K)
        | incident(B,K) ) ) )).

fof(line,axiom,(
    ! [A,B] :
      ( ( point_equal(A,A)
        & point_equal(B,B) )
     => ? [C] :
          ( incident(B,C)
          & incident(A,C) ) ) )).

fof(reflexivity_of_line_equal,axiom,(
    ! [A,B] :
      ( incident(A,B)
     => line_equal(B,B) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(lcon,axiom,(
    ! [A,B,C] :
      ( ( line_equal(B,C)
        & incident(A,B) )
     => incident(A,C) ) )).

fof(transitivity_of_line_equal,axiom,(
    ! [A,B,C] :
      ( line_equal(A,C)
     <= ( line_equal(A,B)
        & line_equal(B,C) ) ) )).

