fof(less_than_transitive,axiom,(
    ! [A,B,C] :
      ( less_than(A,C)
     <= ( less_than(B,C)
        & less_than(A,B) ) ) )).

fof(lower_bound_meet,axiom,(
    ! [A,B,C] :
      ( ( less_than(C,A)
        & less_than(C,B) )
     <= meet(A,B,C) ) )).

fof(commutitivity_join,axiom,(
    ! [A,B,C] :
      ( join(A,B,C)
     => join(B,A,C) ) )).

fof(greatest_lower_bound_meet,axiom,(
    ! [A,B,C,D] :
      ( less_than(D,C)
     <= ( less_than(D,A)
        & less_than(D,B)
        & meet(A,B,C) ) ) )).

fof(meet_assumption,axiom,(
    meet(t,u,v) )).

fof(associativity_meet,axiom,(
    ! [A,B,C,D,E,F] :
      ( ( meet(B,C,F)
        & meet(D,C,E)
        & meet(A,B,D) )
     => meet(A,F,E) ) )).

fof(join_assumption,axiom,
    ( join(x,y,t)
    & join(x,z,u) )).

fof(upper_bound_join,axiom,(
    ! [A,B,C] :
      ( ( less_than(A,C)
        & less_than(B,C) )
     <= join(A,B,C) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(goal_ax,axiom,
    ( goal
   <= less_than(v,p) )).

fof(commutitivity_meet,axiom,(
    ! [A,B,C] :
      ( meet(A,B,C)
     => meet(B,A,C) ) )).

fof(least_upper_bound_join,axiom,(
    ! [A,B,C,D] :
      ( less_than(C,D)
     <= ( less_than(B,D)
        & less_than(A,D)
        & join(A,B,C) ) ) )).

fof(do_lattice,axiom,(
    ! [A,B] :
    ? [C] : meet(A,B,C) )).

fof(less_than_reflexive,axiom,(
    ! [A] : less_than(A,A) )).

fof(less_than_meet_join,axiom,(
    ! [A,B] :
      ( ( join(A,B,B)
        & meet(A,B,A) )
     <= less_than(A,B) ) )).

fof(lo_le_distr,axiom,(
    ! [A,B,C,D,E,F,G,H] :
      ( ( join(B,C,H)
        & meet(A,H,D)
        & meet(A,B,E)
        & meet(A,C,F)
        & join(E,F,G) )
     => less_than(D,G) ) )).

fof(meet_join_assumption,axiom,
    ( meet(y,z,w)
    & join(x,w,p) )).

fof(associativity_join,axiom,(
    ! [A,B,C,D,E,F] :
      ( join(A,F,E)
     <= ( join(A,B,D)
        & join(B,C,F)
        & join(D,C,E) ) ) )).

