fof(permutation_range,axiom,(
    ! [I] :
      ( ( le(I,n)
        & le(s(n0),I) )
     => ( le(s(n0),perm(I))
        & le(perm(I),n) ) ) )).

fof(permutation,axiom,(
    ! [I] : perm(I) = minus(s(n),I) )).

fof(queens_q,axiom,
    ( ! [I,J] :
        ( ( q(J) != q(I)
          & minus(q(J),J) != minus(q(I),I)
          & plus(q(J),J) != plus(q(I),I) )
       <= ( le(s(I),J)
          & le(J,n)
          & le(I,n)
          & le(s(n0),I) ) )
   => queens_q )).

fof(queens_sym,conjecture,
    ( queens_q
   <= ( queens_p
      & ! [I] : q(I) = p(perm(I)) ) )).

fof(queens_p,axiom,
    ( ! [I,J] :
        ( ( p(J) != p(I)
          & minus(p(J),J) != minus(p(I),I)
          & plus(p(I),I) != plus(p(J),J) )
       <= ( le(s(n0),I)
          & le(I,n)
          & le(s(I),J)
          & le(J,n) ) )
   <= queens_p )).

fof(permutation_another_one,axiom,(
    ! [J,I] : minus(perm(J),perm(I)) = minus(I,J) )).

fof(succ_le,axiom,(
    ! [X] : le(X,s(X)) )).

fof(le_trans,axiom,(
    ! [X,Y,Z] :
      ( le(X,Z)
     <= ( le(X,Y)
        & le(Y,Z) ) ) )).

fof(plus1,axiom,(
    ! [I,J,K,L] :
      ( plus(K,L) = plus(I,J)
    <=> minus(I,K) = minus(L,J) ) )).

fof(minus1,axiom,(
    ! [I,J,K,L] :
      ( minus(K,L) = minus(I,J)
    <=> minus(I,K) = minus(J,L) ) )).

fof(permutation_anti_monotone,axiom,(
    ! [I,J] :
      ( lt(I,J)
    <=> lt(perm(J),perm(I)) ) )).

