thf(g_type,type,(
    g: $tType )).

thf(cGROUP3_type,type,(
    cGROUP3: ( g > g > g ) > g > $o )).

thf(cGROUP4_type,type,(
    cGROUP4: ( g > g > g ) > $o )).

thf(cGRP_ASSOC_type,type,(
    cGRP_ASSOC: ( g > g > g ) > $o )).

thf(cGRP_DIVISORS_type,type,(
    cGRP_DIVISORS: ( g > g > g ) > $o )).

thf(cGRP_RIGHT_INVERSE_type,type,(
    cGRP_RIGHT_INVERSE: ( g > g > g ) > g > $o )).

thf(cGRP_RIGHT_UNIT_type,type,(
    cGRP_RIGHT_UNIT: ( g > g > g ) > g > $o )).

thf(cGRP_ASSOC_def,definition,
    ( cGRP_ASSOC
    = ( ^ [Xf: g > g > g] :
        ! [Xa: g,Xb: g,Xc: g] :
          ( ( Xf @ ( Xf @ Xa @ Xb ) @ Xc )
          = ( Xf @ Xa @ ( Xf @ Xb @ Xc ) ) ) ) )).

thf(cGRP_DIVISORS_def,definition,
    ( cGRP_DIVISORS
    = ( ^ [Xf: g > g > g] :
        ! [Xa: g,Xb: g] :
          ( ? [Xx: g] :
              ( ( Xf @ Xa @ Xx )
              = Xb )
          & ? [Xy: g] :
              ( ( Xf @ Xy @ Xa )
              = Xb ) ) ) )).

thf(cGRP_RIGHT_INVERSE_def,definition,
    ( cGRP_RIGHT_INVERSE
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
        ? [Xb: g] :
          ( ( Xf @ Xa @ Xb )
          = Xe ) ) )).

thf(cGRP_RIGHT_UNIT_def,definition,
    ( cGRP_RIGHT_UNIT
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
          ( ( Xf @ Xa @ Xe )
          = Xa ) ) )).

thf(cGROUP3_def,definition,
    ( cGROUP3
    = ( ^ [Xf: g > g > g,Xe: g] :
          ( ( cGRP_ASSOC @ Xf )
          & ( cGRP_RIGHT_UNIT @ Xf @ Xe )
          & ( cGRP_RIGHT_INVERSE @ Xf @ Xe ) ) ) )).

thf(cGROUP4_def,definition,
    ( cGROUP4
    = ( ^ [Xf: g > g > g] :
          ( ( cGRP_ASSOC @ Xf )
          & ( cGRP_DIVISORS @ Xf ) ) ) )).

thf(cEQUIV_03_04,conjecture,(
    ! [Xf: g > g > g] :
      ( ( cGROUP4 @ Xf )
    <=> ? [Xe: g] :
          ( cGROUP3 @ Xf @ Xe ) ) )).

