thf(frac_type,type,(
    frac: $tType )).

thf(x,type,(
    x: frac )).

thf(y,type,(
    y: frac )).

thf(nat_type,type,(
    nat: $tType )).

thf(some,type,(
    some: ( nat > $o ) > $o )).

thf(ts,type,(
    ts: nat > nat > nat )).

thf(num,type,(
    num: frac > nat )).

thf(den,type,(
    den: frac > nat )).

thf(pl,type,(
    pl: nat > nat > nat )).

thf(eq,type,(
    eq: frac > frac > $o )).

thf(pf,type,(
    pf: frac > frac > frac )).

thf(fr,type,(
    fr: nat > nat > frac )).

thf(ind,type,(
    ind: ( nat > $o ) > nat )).

thf(amone,type,(
    amone: ( nat > $o ) > $o )).

thf(satz67c,conjecture,
    ( eq
    @ ( pf @ y
      @ ( fr
        @ ( ind
          @ ^ [Xt: nat] :
              ( ( ts @ ( num @ x ) @ ( den @ y ) )
              = ( pl @ ( ts @ ( num @ y ) @ ( den @ x ) ) @ Xt ) ) )
        @ ( ts @ ( den @ x ) @ ( den @ y ) ) ) )
    @ x )).

thf(m,axiom,
    ( some
    @ ^ [Xu: nat] :
        ( ( ts @ ( num @ x ) @ ( den @ y ) )
        = ( pl @ ( ts @ ( num @ y ) @ ( den @ x ) ) @ Xu ) ) )).

thf(oneax,axiom,(
    ! [Xp: nat > $o] :
      ( ~ ( ~ ( some @ Xp )
         <= ( amone @ Xp ) )
     => ( Xp @ ( ind @ Xp ) ) ) )).

thf(satz39,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac] :
      ( ( ( eq @ Xx @ Xz )
       <= ( eq @ Xy @ Xz ) )
     <= ( eq @ Xx @ Xy ) ) )).

thf(satz40a,axiom,(
    ! [Xx: frac,Xn: nat] :
      ( eq @ ( fr @ ( ts @ ( num @ Xx ) @ Xn ) @ ( ts @ ( den @ Xx ) @ Xn ) ) @ Xx ) )).

thf(satz57,axiom,(
    ! [Xx1: nat,Xx2: nat,Xn: nat] :
      ( eq @ ( pf @ ( fr @ Xx1 @ Xn ) @ ( fr @ Xx2 @ Xn ) ) @ ( fr @ ( pl @ Xx1 @ Xx2 ) @ Xn ) ) )).

thf(satz56,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac,Xu: frac] :
      ( ( ( eq @ Xz @ Xu )
       => ( eq @ ( pf @ Xx @ Xz ) @ ( pf @ Xy @ Xu ) ) )
     <= ( eq @ Xx @ Xy ) ) )).

thf(satz40,axiom,(
    ! [Xx: frac,Xn: nat] :
      ( eq @ Xx @ ( fr @ ( ts @ ( num @ Xx ) @ Xn ) @ ( ts @ ( den @ Xx ) @ Xn ) ) ) )).

thf(satz29,axiom,(
    ! [Xx: nat,Xy: nat] :
      ( ( ts @ Xx @ Xy )
      = ( ts @ Xy @ Xx ) ) )).

thf(satz37,axiom,(
    ! [Xx: frac] :
      ( eq @ Xx @ Xx ) )).

thf(satz8b,axiom,(
    ! [Xx: nat,Xy: nat] :
      ( amone
      @ ^ [Xz: nat] :
          ( Xx
          = ( pl @ Xy @ Xz ) ) ) )).

