include('Axioms/SET008^0.ax').
thf(is_function_type,type,(
    is_function: ( $i > $o ) > ( $i > $i ) > ( $i > $o ) > $o )).

thf(is_function,definition,
    ( is_function
    = ( ^ [X: $i > $o,F: $i > $i,Y: $i > $o] :
        ! [E: $i] :
          ( ( X @ E )
         => ( Y @ ( F @ E ) ) ) ) )).

thf(injection_type,type,(
    injection: ( $i > $o ) > ( $i > $i ) > ( $i > $o ) > $o )).

thf(injection,definition,
    ( injection
    = ( ^ [X: $i > $o,F: $i > $i,Y: $i > $o] :
          ( ( is_function @ X @ F @ Y )
          & ! [E1: $i,E2: $i] :
              ( ( ( X @ E1 )
                & ( X @ E2 )
                & ( ( F @ E1 )
                  = ( F @ E2 ) ) )
             => ( E1 = E2 ) ) ) ) )).

thf(surjection_type,type,(
    surjection: ( $i > $o ) > ( $i > $i ) > ( $i > $o ) > $o )).

thf(surjection,definition,
    ( surjection
    = ( ^ [X: $i > $o,F: $i > $i,Y: $i > $o] :
          ( ( is_function @ X @ F @ Y )
          & ! [E1: $i] :
              ( ( Y @ E1 )
             => ? [E2: $i] :
                  ( ( X @ E2 )
                  & ( ( F @ E2 )
                    = E1 ) ) ) ) ) )).

thf(bijection_type,type,(
    bijection: ( $i > $o ) > ( $i > $i ) > ( $i > $o ) > $o )).

thf(bijection,definition,
    ( bijection
    = ( ^ [X: $i > $o,F: $i > $i,Y: $i > $o] :
          ( ( injection @ X @ F @ Y )
          & ( surjection @ X @ F @ Y ) ) ) )).

thf(equinumerous_type,type,(
    equinumerous: ( $i > $o ) > ( $i > $o ) > $o )).

thf(equinumerous,definition,
    ( equinumerous
    = ( ^ [X: $i > $o,Y: $i > $o] :
        ? [F: $i > $i] :
          ( bijection @ X @ F @ Y ) ) )).

thf(embedding_type,type,(
    embedding: ( $i > $o ) > ( $i > $o ) > $o )).

thf(embedding,definition,
    ( embedding
    = ( ^ [X: $i > $o,Y: $i > $o] :
        ? [F: $i > $i] :
          ( injection @ X @ F @ Y ) ) )).

thf(prove,conjecture,(
    ! [A: $i > $o,Ap: $i > $o,B: $i > $o,Bp: $i > $o] :
      ( ( embedding @ ( union @ A @ B ) @ ( union @ Ap @ Bp ) )
     <= ( ( equinumerous @ A @ Ap )
        & ( equinumerous @ B @ Bp )
        & ( ( intersection @ Ap @ Bp )
          = emptyset ) ) ) )).

