cnf(multiplicative_associativity,axiom,
    ( multiplication(multiplication(A,B),C) = multiplication(A,multiplication(B,C)) )).

cnf(ifeq_axiom,axiom,
    ( B = ifeq2(A,A,B,C) )).

cnf(codomain1,axiom,
    ( multiplication(X0,coantidomain(X0)) = zero )).

cnf(additive_idempotence,axiom,
    ( A = addition(A,A) )).

cnf(domain2,axiom,
    ( addition(antidomain(multiplication(X0,X1)),antidomain(multiplication(X0,antidomain(antidomain(X1))))) = antidomain(multiplication(X0,antidomain(antidomain(X1)))) )).

cnf(additive_commutativity,axiom,
    ( addition(A,B) = addition(B,A) )).

cnf(right_distributivity,axiom,
    ( addition(multiplication(A,B),multiplication(A,C)) = multiplication(A,addition(B,C)) )).

cnf(additive_associativity,axiom,
    ( addition(addition(A,B),C) = addition(A,addition(B,C)) )).

cnf(domain3,axiom,
    ( addition(antidomain(antidomain(X0)),antidomain(X0)) = one )).

cnf(right_annihilation,axiom,
    ( zero = multiplication(A,zero) )).

cnf(left_distributivity,axiom,
    ( addition(multiplication(A,C),multiplication(B,C)) = multiplication(addition(A,B),C) )).

cnf(ifeq_axiom_001,axiom,
    ( B = ifeq(A,A,B,C) )).

cnf(additive_identity,axiom,
    ( A = addition(A,zero) )).

cnf(order,axiom,
    ( ifeq2(addition(A,B),B,leq(A,B),true) = true )).

cnf(domain4,axiom,
    ( domain(X0) = antidomain(antidomain(X0)) )).

cnf(left_annihilation,axiom,
    ( multiplication(zero,A) = zero )).

cnf(codomain3,axiom,
    ( one = addition(coantidomain(coantidomain(X0)),coantidomain(X0)) )).

cnf(multiplicative_right_identity,axiom,
    ( A = multiplication(A,one) )).

cnf(order_1,axiom,
    ( B = ifeq(leq(A,B),true,addition(A,B),B) )).

cnf(domain1,axiom,
    ( zero = multiplication(antidomain(X0),X0) )).

cnf(codomain2,axiom,
    ( coantidomain(multiplication(coantidomain(coantidomain(X0)),X1)) = addition(coantidomain(multiplication(X0,X1)),coantidomain(multiplication(coantidomain(coantidomain(X0)),X1))) )).

cnf(goals,negated_conjecture,
    ( domain(multiplication(sK2_goals_X0,domain(sK1_goals_X1))) != domain(multiplication(sK2_goals_X0,sK1_goals_X1)) )).

cnf(multiplicative_left_identity,axiom,
    ( A = multiplication(one,A) )).

cnf(codomain4,axiom,
    ( codomain(X0) = coantidomain(coantidomain(X0)) )).

