cnf(additive_commutativity,axiom,
    ( addition(B,A) = addition(A,B) )).

cnf(ifeq_axiom_001,axiom,
    ( ifeq(A,A,B,C) = B )).

cnf(codomain3,axiom,
    ( one = addition(coantidomain(coantidomain(X0)),coantidomain(X0)) )).

cnf(codomain1,axiom,
    ( multiplication(X0,coantidomain(X0)) = zero )).

cnf(backward_diamond,axiom,
    ( codomain(multiplication(codomain(X1),X0)) = backward_diamond(X0,X1) )).

cnf(complement,axiom,
    ( antidomain(domain(X0)) = c(X0) )).

cnf(order,axiom,
    ( ifeq2(addition(A,B),B,leq(A,B),true) = true )).

cnf(domain_difference,axiom,
    ( domain_difference(X0,X1) = multiplication(domain(X0),antidomain(X1)) )).

cnf(domain2,axiom,
    ( antidomain(multiplication(X0,antidomain(antidomain(X1)))) = addition(antidomain(multiplication(X0,X1)),antidomain(multiplication(X0,antidomain(antidomain(X1))))) )).

cnf(goals_1,negated_conjecture,
    ( domain(sK1_goals_X2) != addition(backward_diamond(sK3_goals_X0,domain(sK2_goals_X1)),domain(sK1_goals_X2)) )).

cnf(multiplicative_associativity,axiom,
    ( multiplication(A,multiplication(B,C)) = multiplication(multiplication(A,B),C) )).

cnf(ifeq_axiom,axiom,
    ( ifeq2(A,A,B,C) = B )).

cnf(multiplicative_left_identity,axiom,
    ( multiplication(one,A) = A )).

cnf(multiplicative_right_identity,axiom,
    ( multiplication(A,one) = A )).

cnf(codomain4,axiom,
    ( coantidomain(coantidomain(X0)) = codomain(X0) )).

cnf(additive_associativity,axiom,
    ( addition(A,addition(B,C)) = addition(addition(A,B),C) )).

cnf(domain3,axiom,
    ( one = addition(antidomain(antidomain(X0)),antidomain(X0)) )).

cnf(order_1,axiom,
    ( ifeq(leq(A,B),true,addition(A,B),B) = B )).

cnf(right_distributivity,axiom,
    ( multiplication(A,addition(B,C)) = addition(multiplication(A,B),multiplication(A,C)) )).

cnf(additive_idempotence,axiom,
    ( A = addition(A,A) )).

cnf(left_distributivity,axiom,
    ( multiplication(addition(A,B),C) = addition(multiplication(A,C),multiplication(B,C)) )).

cnf(domain1,axiom,
    ( zero = multiplication(antidomain(X0),X0) )).

cnf(left_annihilation,axiom,
    ( multiplication(zero,A) = zero )).

cnf(forward_box,axiom,
    ( forward_box(X0,X1) = c(forward_diamond(X0,c(X1))) )).

cnf(codomain2,axiom,
    ( coantidomain(multiplication(coantidomain(coantidomain(X0)),X1)) = addition(coantidomain(multiplication(X0,X1)),coantidomain(multiplication(coantidomain(coantidomain(X0)),X1))) )).

cnf(goals,negated_conjecture,
    ( addition(domain(sK2_goals_X1),forward_box(sK3_goals_X0,domain(sK1_goals_X2))) = forward_box(sK3_goals_X0,domain(sK1_goals_X2)) )).

cnf(backward_box,axiom,
    ( c(backward_diamond(X0,c(X1))) = backward_box(X0,X1) )).

cnf(right_annihilation,axiom,
    ( zero = multiplication(A,zero) )).

cnf(domain4,axiom,
    ( domain(X0) = antidomain(antidomain(X0)) )).

cnf(forward_diamond,axiom,
    ( forward_diamond(X0,X1) = domain(multiplication(X0,domain(X1))) )).

cnf(additive_identity,axiom,
    ( A = addition(A,zero) )).

