cnf(absorption2,axiom,
    ( X = join(X,meet(X,Y)) )).

cnf(complements_are_unique,axiom,
    ( ifeq(join(A,B),n1,ifeq(meet(A,B),n0,complement(A),B),B) = B )).

cnf(commutativity_of_join,axiom,
    ( join(X,Y) = join(Y,X) )).

cnf(commutativity_of_meet,axiom,
    ( meet(Y,X) = meet(X,Y) )).

cnf(ifeq_axiom,axiom,
    ( B = ifeq(A,A,B,C) )).

cnf(associativity_of_meet,axiom,
    ( meet(X,meet(Y,Z)) = meet(meet(X,Y),Z) )).

cnf(idempotence_of_meet,axiom,
    ( X = meet(X,X) )).

cnf(idempotence_of_join,axiom,
    ( join(X,X) = X )).

cnf(bottom,axiom,
    ( meet(A,complement(A)) = n0 )).

cnf(prove_distributivity,negated_conjecture,
    ( join(meet(a,b),meet(a,c)) != meet(a,join(b,c)) )).

cnf(c94_37,axiom,
    ( join(meet(A,B),meet(A,C)) = meet(A,join(meet(B,join(C,meet(A,B))),meet(C,join(A,B)))) )).

cnf(associativity_of_join,axiom,
    ( join(X,join(Y,Z)) = join(join(X,Y),Z) )).

cnf(top,axiom,
    ( n1 = join(A,complement(A)) )).

cnf(absorption1,axiom,
    ( X = meet(X,join(X,Y)) )).

