include('Axioms/LCL002-0.ax').
cnf(prove_wajsberg_axiom,negated_conjecture,
    ( implies(implies(x,y),y) != implies(implies(y,x),x) )).

cnf(and_star_associativity,axiom,
    ( and_star(X,and_star(Y,Z)) = and_star(and_star(X,Y),Z) )).

cnf(and_star_commutativity,axiom,
    ( and_star(Y,X) = and_star(X,Y) )).

cnf(implies_definition,axiom,
    ( xor(truth,and_star(X,xor(truth,Y))) = implies(X,Y) )).

cnf(false_definition,axiom,
    ( falsehood = not(truth) )).

cnf(xor_commutativity,axiom,
    ( xor(X,Y) = xor(Y,X) )).

