include('Axioms/GRA001+0.ax').
fof(length_defn,axiom,(
    ! [V1,V2,P] :
      ( path(V1,V2,P)
     => length_of(P) = number_of_in(edges,P) ) )).

fof(path_length_sequential_pairs,axiom,(
    ! [V1,V2,P] :
      ( number_of_in(sequential_pairs,P) = minus(length_of(P),n1)
     <= path(V1,V2,P) ) )).

fof(triangle_defn,axiom,(
    ! [E1,E2,E3] :
      ( ( sequential(E1,E2)
        & sequential(E2,E3)
        & sequential(E3,E1)
        & edge(E3)
        & edge(E2)
        & edge(E1) )
    <=> triangle(E1,E2,E3) ) )).

fof(sequential_pairs_and_triangles,axiom,(
    ! [P,V1,V2] :
      ( number_of_in(triangles,P) = number_of_in(sequential_pairs,P)
     <= ( ! [E1,E2] :
            ( ? [E3] : triangle(E1,E2,E3)
           <= ( on_path(E1,P)
              & sequential(E1,E2)
              & on_path(E2,P) ) )
        & path(V1,V2,P) ) ) )).

fof(triangles_on_a_path,conjecture,
    ( complete
   => ! [P,V1,V2] :
        ( shortest_path(V1,V2,P)
       => number_of_in(triangles,P) = minus(length_of(P),n1) ) )).

fof(graph_has_them_all,axiom,(
    ! [Things,InThese] : less_or_equal(number_of_in(Things,InThese),number_of_in(Things,graph)) )).

