fof(a11_FOL,hypothesis,(
    ! [X,Y,Re,C,P,P1,P2,C1,C2,Ta,Tb,Tc] :
      ( ( organization(Y,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization(Y,Ta,Tc)
        & reorganization_type(Y,Re,Ta)
        & complexity(X,C1,Ta)
        & complexity(Y,C2,Ta)
        & greater(C2,C1)
        & survival_chance(Y,P2,Tb)
        & survival_chance(X,P1,Tb)
        & reorganization_type(X,Re,Ta)
        & survival_chance(Y,P,Ta)
        & survival_chance(X,P,Ta)
        & class(Y,C,Ta)
        & class(X,C,Ta)
        & organization(Y,Tb)
        & organization(X,Tb)
        & organization(X,Ta) )
     => ( P2 = P1
        | greater(P1,P2) ) ) )).

fof(a10_FOL,hypothesis,(
    ! [X,Y,Re,C,C1,C2,Ta,Tb,Tc] :
      ( ( organization(X,Ta)
        & class(X,C,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization_type(X,Re,Ta)
        & complexity(X,C1,Ta)
        & greater(C2,C1)
        & complexity(Y,C2,Ta)
        & reorganization_type(Y,Re,Ta)
        & reorganization(Y,Ta,Tc)
        & class(Y,C,Ta)
        & organization(Y,Tc)
        & organization(Y,Ta) )
     => greater(Tc,Tb) ) )).

fof(mp14,axiom,(
    ! [X,Y,P1,P2,T] :
      ( ( survival_chance(Y,P2,T)
        & survival_chance(X,P1,T) )
     => ( P1 = P2
        | greater(P2,P1)
        | greater(P1,P2) ) ) )).

fof(mp7,axiom,(
    ! [X,Ta,Tb] :
      ( greater(Tb,Ta)
     <= reorganization(X,Ta,Tb) ) )).

fof(mp11,axiom,(
    ! [X,Y,Z] :
      ( ( greater(Y,Z)
        & greater(X,Y) )
     => greater(X,Z) ) )).

fof(mp12,axiom,(
    ! [X,T] :
      ( organization(X,T)
     => ? [P] : survival_chance(X,P,T) ) )).

fof(mp13,axiom,(
    ! [X,T,T1,T2] :
      ( ( organization(X,T2)
        & greater(T,T1)
        & greater(T2,T)
        & organization(X,T1) )
     => organization(X,T) ) )).

fof(t3_FOL,hypothesis,(
    ! [X,P1,P2,T1,T2] :
      ( ( organization(X,T1)
        & greater(T2,T1)
        & survival_chance(X,P2,T2)
        & survival_chance(X,P1,T1)
        & reorganization_free(X,T1,T2)
        & organization(X,T2) )
     => greater(P2,P1) ) )).

fof(t4_FOL,hypothesis,(
    ! [X,P1,P2,T1,T2,Ta,Tb] :
      ( greater(P1,P2)
     <= ( organization(X,T1)
        & organization(X,T2)
        & survival_chance(X,P1,T1)
        & ~ greater(Ta,T1)
        & greater(T2,T1)
        & ~ greater(T2,Tb)
        & survival_chance(X,P2,T2)
        & reorganization(X,Ta,Tb) ) ) )).

fof(mp6_2,axiom,(
    ! [X,Y] :
      ~ ( greater(Y,X)
        & greater(X,Y) ) )).

fof(mp6_1,axiom,(
    ! [X,Y] :
      ~ ( Y = X
        & greater(X,Y) ) )).

fof(a15_FOL,hypothesis,(
    ! [X,Y,Px1,Px2,Py1,Py2,T1,T2] :
      ( ? [T0,Px0,Py0] :
          ( greater(T2,T0)
          & Px0 = Py0
          & survival_chance(Y,Py0,T0)
          & survival_chance(X,Px0,T0)
          & greater(T0,T1) )
     <= ( greater(T2,T1)
        & survival_chance(X,Px1,T1)
        & survival_chance(X,Px2,T2)
        & greater(Py1,Px2)
        & greater(Px2,Px1)
        & survival_chance(Y,Py2,T2)
        & survival_chance(Y,Py1,T1) ) ) )).

fof(t5_plus_FOL,conjecture,(
    ! [X,Y,Re,C,P,P1,P2,C1,C2,T,Ta,Tb,Tc] :
      ( ( T = Tb
       => ( greater(P1,P2)
          | P2 = P1 ) )
     <= ( class(Y,C,Ta)
        & survival_chance(X,P,Ta)
        & survival_chance(Y,P,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization(Y,Ta,Tc)
        & reorganization_type(X,Re,Ta)
        & survival_chance(X,P1,T)
        & greater(C2,C1)
        & ( greater(P1,P2)
         <= T = Tc )
        & complexity(Y,C2,Ta)
        & complexity(X,C1,Ta)
        & survival_chance(Y,P2,T)
        & reorganization_free(X,Tb,Tc)
        & reorganization_type(Y,Re,Ta)
        & class(X,C,Ta)
        & organization(Y,Tc)
        & organization(X,Tc)
        & organization(Y,Ta)
        & organization(X,Ta) ) ) )).

