fof(d5_tarski,axiom,(
    ! [A,B] : ordered_pair(A,B) = unordered_pair(unordered_pair(A,B),singleton(A)) )).

fof(dt_k2_zfmisc_1,axiom,(
    $true )).

fof(t19_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( subset(A,B)
        & subset(A,C) )
     => subset(A,set_intersection2(B,C)) ) )).

fof(t3_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ~ disjoint(A,B)
          & ! [C] :
              ~ ( in(C,B)
                & in(C,A) ) )
      & ~ ( disjoint(A,B)
          & ? [C] :
              ( in(C,B)
              & in(C,A) ) ) ) )).

fof(d1_xboole_0,axiom,(
    ! [A] :
      ( empty_set = A
    <=> ! [B] : ~ in(B,A) ) )).

fof(l2_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(singleton(A),B)
    <=> in(A,B) ) )).

fof(d2_tarski,axiom,(
    ! [A,B,C] :
      ( unordered_pair(A,B) = C
    <=> ! [D] :
          ( in(D,C)
        <=> ( A = D
            | B = D ) ) ) )).

fof(t40_xboole_1,lemma,(
    ! [A,B] : set_difference(set_union2(A,B),B) = set_difference(A,B) )).

fof(t7_xboole_1,lemma,(
    ! [A,B] : subset(A,set_union2(A,B)) )).

fof(t45_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
     => set_union2(A,set_difference(B,A)) = B ) )).

fof(d2_zfmisc_1,axiom,(
    ! [A,B,C] :
      ( cartesian_product2(A,B) = C
    <=> ! [D] :
          ( in(D,C)
        <=> ? [E,F] :
              ( ordered_pair(E,F) = D
              & in(F,B)
              & in(E,A) ) ) ) )).

fof(d3_xboole_0,axiom,(
    ! [A,B,C] :
      ( set_intersection2(A,B) = C
    <=> ! [D] :
          ( ( in(D,B)
            & in(D,A) )
        <=> in(D,C) ) ) )).

fof(d7_xboole_0,axiom,(
    ! [A,B] :
      ( empty_set = set_intersection2(A,B)
    <=> disjoint(A,B) ) )).

fof(l55_zfmisc_1,conjecture,(
    ! [A,B,C,D] :
      ( ( in(A,C)
        & in(B,D) )
    <=> in(ordered_pair(A,B),cartesian_product2(C,D)) ) )).

fof(l4_zfmisc_1,lemma,(
    ! [A,B] :
      ( ( A = empty_set
        | singleton(B) = A )
    <=> subset(A,singleton(B)) ) )).

fof(t39_xboole_1,lemma,(
    ! [A,B] : set_union2(A,B) = set_union2(A,set_difference(B,A)) )).

fof(dt_k4_xboole_0,axiom,(
    $true )).

fof(t63_xboole_1,lemma,(
    ! [A,B,C] :
      ( ( disjoint(B,C)
        & subset(A,B) )
     => disjoint(A,C) ) )).

fof(commutativity_k2_xboole_0,axiom,(
    ! [A,B] : set_union2(B,A) = set_union2(A,B) )).

fof(d4_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,B)
        <=> ? [D] :
              ( in(D,A)
              & in(C,D) ) )
    <=> B = union(A) ) )).

fof(l28_zfmisc_1,lemma,(
    ! [A,B] :
      ( ~ in(A,B)
     => disjoint(singleton(A),B) ) )).

fof(dt_k3_xboole_0,axiom,(
    $true )).

fof(idempotence_k2_xboole_0,axiom,(
    ! [A,B] : set_union2(A,A) = A )).

fof(t69_enumset1,lemma,(
    ! [A] : singleton(A) = unordered_pair(A,A) )).

fof(t83_xboole_1,lemma,(
    ! [A,B] :
      ( disjoint(A,B)
    <=> A = set_difference(A,B) ) )).

fof(t3_xboole_1,lemma,(
    ! [A] :
      ( subset(A,empty_set)
     => A = empty_set ) )).

fof(l23_zfmisc_1,lemma,(
    ! [A,B] :
      ( set_union2(singleton(A),B) = B
     <= in(A,B) ) )).

fof(t2_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,A)
        <=> in(C,B) )
     => A = B ) )).

fof(d1_zfmisc_1,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( subset(C,A)
        <=> in(C,B) )
    <=> B = powerset(A) ) )).

fof(fc3_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(set_union2(B,A))
     <= ~ empty(A) ) )).

fof(t8_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( singleton(A) = unordered_pair(B,C)
     => B = A ) )).

fof(d2_xboole_0,axiom,(
    ! [A,B,C] :
      ( set_union2(A,B) = C
    <=> ! [D] :
          ( in(D,C)
        <=> ( in(D,A)
            | in(D,B) ) ) ) )).

fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(B,A) = set_intersection2(A,B) )).

fof(d1_tarski,axiom,(
    ! [A,B] :
      ( singleton(A) = B
    <=> ! [C] :
          ( in(C,B)
        <=> C = A ) ) )).

fof(l1_zfmisc_1,lemma,(
    ! [A] : singleton(A) != empty_set )).

fof(d10_xboole_0,axiom,(
    ! [A,B] :
      ( A = B
    <=> ( subset(B,A)
        & subset(A,B) ) ) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : A = set_intersection2(A,A) )).

fof(t17_xboole_1,lemma,(
    ! [A,B] : subset(set_intersection2(A,B),A) )).

fof(l3_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( ( in(C,A)
        | subset(A,set_difference(B,singleton(C))) )
     <= subset(A,B) ) )).

fof(symmetry_r1_xboole_0,axiom,(
    ! [A,B] :
      ( disjoint(B,A)
     <= disjoint(A,B) ) )).

fof(dt_k3_tarski,axiom,(
    $true )).

fof(t48_xboole_1,lemma,(
    ! [A,B] : set_difference(A,set_difference(A,B)) = set_intersection2(A,B) )).

fof(t2_xboole_1,lemma,(
    ! [A] : subset(empty_set,A) )).

fof(antisymmetry_r2_xboole_0,axiom,(
    ! [A,B] :
      ( ~ proper_subset(B,A)
     <= proper_subset(A,B) ) )).

fof(dt_k1_xboole_0,axiom,(
    $true )).

fof(commutativity_k2_tarski,axiom,(
    ! [A,B] : unordered_pair(B,A) = unordered_pair(A,B) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( B != A
        & empty(B)
        & empty(A) ) )).

fof(l32_xboole_1,lemma,(
    ! [A,B] :
      ( set_difference(A,B) = empty_set
    <=> subset(A,B) ) )).

fof(fc2_xboole_0,axiom,(
    ! [A,B] :
      ( ~ empty(A)
     => ~ empty(set_union2(A,B)) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( ~ in(B,A)
     <= in(A,B) ) )).

fof(l25_zfmisc_1,lemma,(
    ! [A,B] :
      ~ ( in(A,B)
        & disjoint(singleton(A),B) ) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( empty(A)
     => empty_set = A ) )).

fof(t6_zfmisc_1,lemma,(
    ! [A,B] :
      ( subset(singleton(A),singleton(B))
     => B = A ) )).

fof(d8_xboole_0,axiom,(
    ! [A,B] :
      ( proper_subset(A,B)
    <=> ( B != A
        & subset(A,B) ) ) )).

fof(t4_boole,axiom,(
    ! [A] : set_difference(empty_set,A) = empty_set )).

fof(dt_k4_tarski,axiom,(
    $true )).

fof(t26_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(A,B)
     => subset(set_intersection2(A,C),set_intersection2(B,C)) ) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(t9_zfmisc_1,lemma,(
    ! [A,B,C] :
      ( unordered_pair(B,C) = singleton(A)
     => C = B ) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(t36_xboole_1,lemma,(
    ! [A,B] : subset(set_difference(A,B),A) )).

fof(t28_xboole_1,lemma,(
    ! [A,B] :
      ( A = set_intersection2(A,B)
     <= subset(A,B) ) )).

fof(dt_k2_xboole_0,axiom,(
    $true )).

fof(t12_xboole_1,lemma,(
    ! [A,B] :
      ( B = set_union2(A,B)
     <= subset(A,B) ) )).

fof(t60_xboole_1,lemma,(
    ! [A,B] :
      ~ ( subset(A,B)
        & proper_subset(B,A) ) )).

fof(t33_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ( ( B = D
        & A = C )
     <= ordered_pair(C,D) = ordered_pair(A,B) ) )).

fof(d4_xboole_0,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( ( ~ in(D,B)
            & in(D,A) )
        <=> in(D,C) )
    <=> set_difference(A,B) = C ) )).

fof(t10_zfmisc_1,lemma,(
    ! [A,B,C,D] :
      ~ ( unordered_pair(C,D) = unordered_pair(A,B)
        & C != A
        & D != A ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(d3_tarski,axiom,(
    ! [A,B] :
      ( subset(A,B)
    <=> ! [C] :
          ( in(C,A)
         => in(C,B) ) ) )).

fof(t2_boole,axiom,(
    ! [A] : empty_set = set_intersection2(A,empty_set) )).

fof(t8_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_union2(A,C),B)
     <= ( subset(A,B)
        & subset(C,B) ) ) )).

fof(t37_xboole_1,lemma,(
    ! [A,B] :
      ( subset(A,B)
    <=> set_difference(A,B) = empty_set ) )).

fof(t1_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(A,C)
     <= ( subset(A,B)
        & subset(B,C) ) ) )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( in(A,B)
        & empty(B) ) )).

fof(t3_boole,axiom,(
    ! [A] : A = set_difference(A,empty_set) )).

fof(dt_k2_tarski,axiom,(
    $true )).

fof(t4_xboole_0,lemma,(
    ! [A,B] :
      ( ~ ( ! [C] : ~ in(C,set_intersection2(A,B))
          & ~ disjoint(A,B) )
      & ~ ( disjoint(A,B)
          & ? [C] : in(C,set_intersection2(A,B)) ) ) )).

fof(t33_xboole_1,lemma,(
    ! [A,B,C] :
      ( subset(set_difference(A,C),set_difference(B,C))
     <= subset(A,B) ) )).

fof(dt_k1_tarski,axiom,(
    $true )).

fof(l50_zfmisc_1,lemma,(
    ! [A,B] :
      ( in(A,B)
     => subset(A,union(B)) ) )).

fof(irreflexivity_r2_xboole_0,axiom,(
    ! [A,B] : ~ proper_subset(A,A) )).

fof(dt_k1_zfmisc_1,axiom,(
    $true )).

fof(fc1_zfmisc_1,axiom,(
    ! [A,B] : ~ empty(ordered_pair(A,B)) )).

fof(t1_zfmisc_1,lemma,(
    singleton(empty_set) = powerset(empty_set) )).

fof(t1_boole,axiom,(
    ! [A] : set_union2(A,empty_set) = A )).

