fof(t4_boole,axiom,(
    ! [A] : empty_set = set_difference(empty_set,A) )).

fof(rc1_ordinal1,axiom,(
    ? [A] :
      ( ordinal(A)
      & epsilon_connected(A)
      & epsilon_transitive(A) ) )).

fof(t3_boole,axiom,(
    ! [A] : set_difference(A,empty_set) = A )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(cc1_funct_1,axiom,(
    ! [A] :
      ( empty(A)
     => function(A) ) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( empty(A)
     => empty_set = A ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(fc3_relat_1,axiom,(
    ! [A,B] :
      ( ( relation(B)
        & relation(A) )
     => relation(set_difference(A,B)) ) )).

fof(d4_xboole_0,axiom,(
    ! [A,B,C] :
      ( ! [D] :
          ( in(D,C)
        <=> ( in(D,A)
            & ~ in(D,B) ) )
    <=> set_difference(A,B) = C ) )).

fof(rc1_relat_1,axiom,(
    ? [A] :
      ( empty(A)
      & relation(A) ) )).

fof(fc12_relat_1,axiom,
    ( relation(empty_set)
    & relation_empty_yielding(empty_set)
    & empty(empty_set) )).

fof(fc4_relat_1,axiom,
    ( relation(empty_set)
    & empty(empty_set) )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & in(A,B) ) )).

fof(rc2_relat_1,axiom,(
    ? [A] :
      ( ~ empty(A)
      & relation(A) ) )).

fof(t23_ordinal1,conjecture,(
    ! [A,B] :
      ( ( in(A,B)
       => ordinal(A) )
     <= ordinal(B) ) )).

fof(t2_subset,axiom,(
    ! [A,B] :
      ( ( in(A,B)
        | empty(B) )
     <= element(A,B) ) )).

fof(t5_subset,axiom,(
    ! [A,B,C] :
      ~ ( empty(C)
        & element(B,powerset(C))
        & in(A,B) ) )).

fof(d3_ordinal1,axiom,(
    ! [A] :
      ( ! [B,C] :
          ~ ( in(B,A)
            & C != B
            & ~ in(C,B)
            & ~ in(B,C)
            & in(C,A) )
    <=> epsilon_connected(A) ) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(t3_ordinal1,axiom,(
    ! [A,B,C] :
      ~ ( in(A,B)
        & in(B,C)
        & in(C,A) ) )).

fof(rc3_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & relation_empty_yielding(A) ) )).

fof(cc1_ordinal1,axiom,(
    ! [A] :
      ( ordinal(A)
     => ( epsilon_connected(A)
        & epsilon_transitive(A) ) ) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & B != A
        & empty(A) ) )).

fof(rc2_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & function(A)
      & empty(A) ) )).

fof(cc2_ordinal1,axiom,(
    ! [A] :
      ( ordinal(A)
     <= ( epsilon_connected(A)
        & epsilon_transitive(A) ) ) )).

fof(t4_subset,axiom,(
    ! [A,B,C] :
      ( ( element(B,powerset(C))
        & in(A,B) )
     => element(A,C) ) )).

fof(d4_ordinal1,axiom,(
    ! [A] :
      ( ordinal(A)
    <=> ( epsilon_connected(A)
        & epsilon_transitive(A) ) ) )).

fof(t7_tarski,axiom,(
    ! [A,B] :
      ~ ( ! [C] :
            ~ ( in(C,B)
              & ! [D] :
                  ~ ( in(D,C)
                    & in(D,B) ) )
        & in(A,B) ) )).

fof(d3_tarski,axiom,(
    ! [A,B] :
      ( subset(A,B)
    <=> ! [C] :
          ( in(C,B)
         <= in(C,A) ) ) )).

fof(rc1_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & function(A) ) )).

fof(t1_subset,axiom,(
    ! [A,B] :
      ( element(A,B)
     <= in(A,B) ) )).

fof(rc4_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & function(A)
      & relation_empty_yielding(A) ) )).

fof(d2_ordinal1,axiom,(
    ! [A] :
      ( ! [B] :
          ( in(B,A)
         => subset(B,A) )
    <=> epsilon_transitive(A) ) )).

fof(t3_subset,axiom,(
    ! [A,B] :
      ( subset(A,B)
    <=> element(A,powerset(B)) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(cc1_relat_1,axiom,(
    ! [A] :
      ( empty(A)
     => relation(A) ) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(cc2_funct_1,axiom,(
    ! [A] :
      ( ( relation(A)
        & function(A)
        & one_to_one(A) )
     <= ( relation(A)
        & empty(A)
        & function(A) ) ) )).

fof(rc5_funct_1,axiom,(
    ? [A] :
      ( relation_non_empty(A)
      & function(A)
      & relation(A) ) )).

fof(existence_m1_subset_1,axiom,(
    ! [A] :
    ? [B] : element(B,A) )).

fof(rc3_funct_1,axiom,(
    ? [A] :
      ( function(A)
      & one_to_one(A)
      & relation(A) ) )).

