fof(owl_rdfsext_subclassof,axiom,(
    ! [C1,C2] :
      ( ( ic(C2)
        & ! [X] :
            ( icext(C1,X)
           => icext(C2,X) )
        & ic(C1) )
    <=> iext(uri_rdfs_subClassOf,C1,C2) ) )).

fof(rdfs_cext_def,axiom,(
    ! [X,C] :
      ( icext(C,X)
    <=> iext(uri_rdf_type,X,C) ) )).

fof(owl_rdfsext_subpropertyof,axiom,(
    ! [P1,P2] :
      ( iext(uri_rdfs_subPropertyOf,P1,P2)
    <=> ( ip(P1)
        & ! [X,Y] :
            ( iext(P2,X,Y)
           <= iext(P1,X,Y) )
        & ip(P2) ) ) )).

fof(owl_eqdis_sameas,axiom,(
    ! [X,Y] :
      ( iext(uri_owl_sameAs,X,Y)
    <=> Y = X ) )).

fof(testcase_premise_fullish_013_Cliques,axiom,(
    ? [BNODE_r,BNODE_i,BNODE_l1,BNODE_l2,BNODE_l3] :
      ( iext(uri_rdfs_range,uri_ex_sameCliqueAs,uri_ex_Clique)
      & iext(uri_rdfs_subClassOf,uri_ex_Clique,BNODE_r)
      & iext(uri_rdf_type,uri_foaf_knows,uri_owl_ObjectProperty)
      & iext(uri_owl_propertyChainAxiom,uri_foaf_knows,BNODE_l1)
      & iext(uri_rdf_first,BNODE_l1,uri_rdf_type)
      & iext(uri_rdf_first,BNODE_l2,uri_ex_sameCliqueAs)
      & iext(uri_owl_inverseOf,BNODE_i,uri_rdf_type)
      & iext(uri_rdf_type,uri_ex_JoesGang,uri_ex_Clique)
      & iext(uri_rdf_type,uri_ex_bob,uri_ex_JoesGang)
      & iext(uri_rdf_type,uri_ex_alice,uri_ex_JoesGang)
      & iext(uri_rdf_rest,BNODE_l3,uri_rdf_nil)
      & iext(uri_rdf_first,BNODE_l3,BNODE_i)
      & iext(uri_rdf_rest,BNODE_l2,BNODE_l3)
      & iext(uri_rdf_rest,BNODE_l1,BNODE_l2)
      & iext(uri_owl_someValuesFrom,BNODE_r,uri_ex_Clique)
      & iext(uri_owl_onProperty,BNODE_r,uri_ex_sameCliqueAs)
      & iext(uri_rdf_type,BNODE_r,uri_owl_Restriction)
      & iext(uri_rdfs_subPropertyOf,uri_ex_sameCliqueAs,uri_owl_sameAs)
      & iext(uri_rdf_type,uri_ex_Clique,uri_owl_Class) ) )).

fof(owl_chain_003,axiom,(
    ! [P,S1,P1,S2,P2,S3,P3] :
      ( ( iext(uri_rdf_rest,S1,S2)
        & iext(uri_rdf_rest,S2,S3)
        & iext(uri_rdf_first,S3,P3)
        & iext(uri_rdf_rest,S3,uri_rdf_nil)
        & iext(uri_rdf_first,S2,P2)
        & iext(uri_rdf_first,S1,P1) )
     => ( iext(uri_owl_propertyChainAxiom,P,S1)
      <=> ( ip(P2)
          & ip(P3)
          & ! [Y0,Y1,Y2,Y3] :
              ( ( iext(P1,Y0,Y1)
                & iext(P2,Y1,Y2)
                & iext(P3,Y2,Y3) )
             => iext(P,Y0,Y3) )
          & ip(P1)
          & ip(P) ) ) ) )).

fof(owl_restrict_somevaluesfrom,axiom,(
    ! [Z,P,C] :
      ( ( iext(uri_owl_onProperty,Z,P)
        & iext(uri_owl_someValuesFrom,Z,C) )
     => ! [X] :
          ( ? [Y] :
              ( icext(C,Y)
              & iext(P,X,Y) )
        <=> icext(Z,X) ) ) )).

fof(testcase_conclusion_fullish_013_Cliques,conjecture,(
    iext(uri_foaf_knows,uri_ex_alice,uri_ex_bob) )).

fof(owl_inv,axiom,(
    ! [P1,P2] :
      ( ( ! [X,Y] :
            ( iext(P1,X,Y)
          <=> iext(P2,Y,X) )
        & ip(P2)
        & ip(P1) )
    <=> iext(uri_owl_inverseOf,P1,P2) ) )).

