thf(syrup_type,type,(
    syrup: $tType )).

thf(beverage_type,type,(
    beverage: $tType )).

thf(coffee_type,type,(
    coffee: beverage )).

thf(heat_type,type,(
    heat: beverage > beverage )).

thf(hot_type,type,(
    hot: beverage > $o )).

thf(mix_type,type,(
    mix: beverage > syrup > beverage )).

thf(hot_mixture_type,type,(
    hot_mixture: beverage > syrup > beverage )).

thf(cold_mixture_type,type,(
    cold_mixture: beverage > syrup > beverage )).

thf(cold_mixture_definition,definition,
    ( cold_mixture
    = ( ^ [B: beverage,S: syrup] :
          ( mix @ B @ S ) ) )).

thf(hot_mixture_definition,definition,
    ( hot_mixture
    = ( ^ [B: beverage,S: syrup] :
          ( heat @ ( mix @ B @ S ) ) ) )).

thf(its_hot,axiom,(
    ! [B: beverage] :
      ( hot @ ( heat @ B ) ) )).

thf(hot_coffee,conjecture,(
    ? [Mixture: beverage > syrup > beverage] :
    ! [S: syrup] :
    ? [B: beverage] :
      ( ( hot @ B )
      & ( ( Mixture @ coffee @ S )
        = B ) ) )).

