thf(frac_type,type,(
    frac: $tType )).

thf(x,type,(
    x: frac )).

thf(y,type,(
    y: frac )).

thf(z,type,(
    z: frac )).

thf(u,type,(
    u: frac )).

thf(moref,type,(
    moref: frac > frac > $o )).

thf(pf,type,(
    pf: frac > frac > frac )).

thf(lessf,type,(
    lessf: frac > frac > $o )).

thf(eq,type,(
    eq: frac > frac > $o )).

thf(m,axiom,(
    moref @ x @ y )).

thf(satz44,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac,Xu: frac] :
      ( ( moref @ Xx @ Xy )
     => ( ( ( eq @ Xy @ Xu )
         => ( moref @ Xz @ Xu ) )
       <= ( eq @ Xx @ Xz ) ) ) )).

thf(satz43,axiom,(
    ! [Xx: frac,Xy: frac] :
      ( ( lessf @ Xx @ Xy )
     => ( moref @ Xy @ Xx ) ) )).

thf(satz61,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac] :
      ( ( moref @ ( pf @ Xx @ Xz ) @ ( pf @ Xy @ Xz ) )
     <= ( moref @ Xx @ Xy ) ) )).

thf(satz50,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac] :
      ( ( ( lessf @ Xx @ Xz )
       <= ( lessf @ Xy @ Xz ) )
     <= ( lessf @ Xx @ Xy ) ) )).

thf(satz64,conjecture,(
    moref @ ( pf @ x @ z ) @ ( pf @ y @ u ) )).

thf(n,axiom,(
    moref @ z @ u )).

thf(satz58,axiom,(
    ! [Xx: frac,Xy: frac] :
      ( eq @ ( pf @ Xx @ Xy ) @ ( pf @ Xy @ Xx ) ) )).

thf(satz42,axiom,(
    ! [Xx: frac,Xy: frac] :
      ( ( lessf @ Xy @ Xx )
     <= ( moref @ Xx @ Xy ) ) )).

