cnf(addition_is_well_defined,axiom,
    ( V = ifeq2(sum(X,Y,V),true,ifeq2(sum(X,Y,U),true,U,V),V) )).

cnf(commutativity_of_addition,axiom,
    ( true = ifeq(sum(X,Y,Z),true,sum(Y,X,Z),true) )).

cnf(distributivity5,axiom,
    ( true = ifeq(product(Y,Z,V3),true,ifeq(sum(X,V3,V4),true,ifeq(sum(X,Z,V2),true,ifeq(sum(X,Y,V1),true,product(V1,V2,V4),true),true),true),true) )).

cnf(distributivity3,axiom,
    ( ifeq(product(V3,X,V4),true,ifeq(product(Z,X,V2),true,ifeq(product(Y,X,V1),true,ifeq(sum(Y,Z,V3),true,sum(V1,V2,V4),true),true),true),true) = true )).

cnf(closure_of_multiplication,axiom,
    ( true = product(X,Y,multiply(X,Y)) )).

cnf(closure_of_addition,axiom,
    ( true = sum(X,Y,add(X,Y)) )).

cnf(additive_identity1,axiom,
    ( true = sum(additive_identity,X,X) )).

cnf(distributivity8,axiom,
    ( ifeq(product(V1,V2,V4),true,ifeq(product(Y,Z,V3),true,ifeq(sum(Z,X,V2),true,ifeq(sum(Y,X,V1),true,sum(V3,X,V4),true),true),true),true) = true )).

cnf(ifeq_axiom_001,axiom,
    ( ifeq(A,A,B,C) = B )).

cnf(multiplicative_inverse2,axiom,
    ( true = product(X,inverse(X),additive_identity) )).

cnf(multiplicative_identity2,axiom,
    ( true = product(X,multiplicative_identity,X) )).

cnf(x_inverse_plus_y_inverse,negated_conjecture,
    ( sum(inverse(x),inverse(y),x_inverse_plus_y_inverse) = true )).

cnf(distributivity2,axiom,
    ( ifeq(product(X,Z,V2),true,ifeq(product(X,Y,V1),true,ifeq(sum(V1,V2,V4),true,ifeq(sum(Y,Z,V3),true,product(X,V3,V4),true),true),true),true) = true )).

cnf(distributivity1,axiom,
    ( ifeq(product(X,V3,V4),true,ifeq(product(X,Z,V2),true,ifeq(product(X,Y,V1),true,ifeq(sum(Y,Z,V3),true,sum(V1,V2,V4),true),true),true),true) = true )).

cnf(multiplicative_inverse1,axiom,
    ( true = product(inverse(X),X,additive_identity) )).

cnf(distributivity6,axiom,
    ( ifeq(product(V1,V2,V4),true,ifeq(product(Y,Z,V3),true,ifeq(sum(X,Z,V2),true,ifeq(sum(X,Y,V1),true,sum(X,V3,V4),true),true),true),true) = true )).

cnf(distributivity7,axiom,
    ( ifeq(product(Y,Z,V3),true,ifeq(sum(V3,X,V4),true,ifeq(sum(Z,X,V2),true,ifeq(sum(Y,X,V1),true,product(V1,V2,V4),true),true),true),true) = true )).

cnf(prove_equation,negated_conjecture,
    ( x_inverse_plus_y_inverse != inverse(x_times_y) )).

cnf(distributivity4,axiom,
    ( ifeq(product(Z,X,V2),true,ifeq(product(Y,X,V1),true,ifeq(sum(V1,V2,V4),true,ifeq(sum(Y,Z,V3),true,product(V3,X,V4),true),true),true),true) = true )).

cnf(additive_inverse1,axiom,
    ( sum(inverse(X),X,multiplicative_identity) = true )).

cnf(ifeq_axiom,axiom,
    ( B = ifeq2(A,A,B,C) )).

cnf(additive_identity2,axiom,
    ( sum(X,additive_identity,X) = true )).

cnf(multiplicative_identity1,axiom,
    ( true = product(multiplicative_identity,X,X) )).

cnf(additive_inverse2,axiom,
    ( true = sum(X,inverse(X),multiplicative_identity) )).

cnf(multiplication_is_well_defined,axiom,
    ( V = ifeq2(product(X,Y,V),true,ifeq2(product(X,Y,U),true,U,V),V) )).

cnf(x_times_y,negated_conjecture,
    ( true = product(x,y,x_times_y) )).

cnf(commutativity_of_multiplication,axiom,
    ( true = ifeq(product(X,Y,Z),true,product(Y,X,Z),true) )).

