cnf(closure_of_addition,axiom,
    ( sum(X,Y,add(X,Y)) = true )).

cnf(additive_identity1,axiom,
    ( sum(additive_identity,X,X) = true )).

cnf(right_inverse,axiom,
    ( sum(X,additive_inverse(X),additive_identity) = true )).

cnf(addition_is_well_defined,axiom,
    ( V = ifeq2(sum(X,Y,V),true,ifeq2(sum(X,Y,U),true,U,V),V) )).

cnf(additive_identity2,axiom,
    ( true = sum(X,additive_identity,X) )).

cnf(distributivity4,axiom,
    ( true = ifeq(product(Z,X,V2),true,ifeq(product(Y,X,V1),true,ifeq(sum(V1,V2,V4),true,ifeq(sum(Y,Z,V3),true,product(V3,X,V4),true),true),true),true) )).

cnf(left_inverse,axiom,
    ( true = sum(additive_inverse(X),X,additive_identity) )).

cnf(associativity_of_multiplication2,axiom,
    ( ifeq(product(Y,Z,V),true,ifeq(product(X,V,W),true,ifeq(product(X,Y,U),true,product(U,Z,W),true),true),true) = true )).

cnf(associativity_of_multiplication1,axiom,
    ( ifeq(product(U,Z,W),true,ifeq(product(Y,Z,V),true,ifeq(product(X,Y,U),true,product(X,V,W),true),true),true) = true )).

cnf(associativity_of_addition1,axiom,
    ( true = ifeq(sum(U,Z,W),true,ifeq(sum(Y,Z,V),true,ifeq(sum(X,Y,U),true,sum(X,V,W),true),true),true) )).

cnf(cancellation1,axiom,
    ( ifeq2(sum(X,W,Z),true,ifeq2(sum(X,Y,Z),true,Y,W),W) = W )).

cnf(distributivity3,axiom,
    ( ifeq(product(V3,X,V4),true,ifeq(product(Z,X,V2),true,ifeq(product(Y,X,V1),true,ifeq(sum(Y,Z,V3),true,sum(V1,V2,V4),true),true),true),true) = true )).

cnf(ifeq_axiom,axiom,
    ( B = ifeq2(A,A,B,C) )).

cnf(multiplication_is_well_defined,axiom,
    ( ifeq2(product(X,Y,V),true,ifeq2(product(X,Y,U),true,U,V),V) = V )).

cnf(prove_a_times_additive_id_is_additive_id,negated_conjecture,
    ( product(a,additive_identity,additive_identity) != true )).

cnf(cancellation2,axiom,
    ( ifeq2(sum(W,Y,Z),true,ifeq2(sum(X,Y,Z),true,X,W),W) = W )).

cnf(associativity_of_addition2,axiom,
    ( ifeq(sum(Y,Z,V),true,ifeq(sum(X,V,W),true,ifeq(sum(X,Y,U),true,sum(U,Z,W),true),true),true) = true )).

cnf(distributivity1,axiom,
    ( true = ifeq(product(X,V3,V4),true,ifeq(product(X,Z,V2),true,ifeq(product(X,Y,V1),true,ifeq(sum(Y,Z,V3),true,sum(V1,V2,V4),true),true),true),true) )).

cnf(ifeq_axiom_001,axiom,
    ( B = ifeq(A,A,B,C) )).

cnf(distributivity2,axiom,
    ( true = ifeq(product(X,Z,V2),true,ifeq(product(X,Y,V1),true,ifeq(sum(V1,V2,V4),true,ifeq(sum(Y,Z,V3),true,product(X,V3,V4),true),true),true),true) )).

cnf(closure_of_multiplication,axiom,
    ( true = product(X,Y,multiply(X,Y)) )).

cnf(commutativity_of_addition,axiom,
    ( true = ifeq(sum(X,Y,Z),true,sum(Y,X,Z),true) )).

